export const tos = {
  en: `
Thank you joining the Databag community! These Terms of Service (the “Terms”) cover your rights and obligations relating to your access and use of the Databag services, including but not limited to Databag (collectively, the “Service”). All references to “you”, “your”, or “user” refers to the user of the Service. In addition to these Terms, please review the Databag Privacy Policy, which describes our practices related to collection and use of your information. These Terms apply to our Privacy Policy as well. By using the Service, you represent and agree that you have read, understand, and agree to be bound by both these Terms and our Privacy Policy as binding agreements. Further, you agree that these Terms and our Privacy Policy apply to your past use, if any.

PLEASE CAREFULLY READ THESE TERMS, AS THEY CONTAIN IMPORTANT INFORMATION ABOUT YOUR RIGHTS AND RESPONSIBILITIES, INCLUDING LIMITATION OF OUR LIABILITY. IF YOU DO NOT ACCEPT THIS AGREEMENT IN ITS ENTIRETY, YOU MAY NOT ACCESS OR USE THE SERVICE.

Do not hesitate to contact us at github.com/balzack/databag/discussions if you have any questions or want to discuss either of these important documents.

Our mission is to create a new ecosystem that will safeguard our data and digital identities, empower privacy rights, and promote technology innovation and competition. Databag does not sell ads or your personal data to anyone. You share it only with the people and apps you decide to. We are funded by users like you through donations, financial support from our community of apps, and other support such as grants and in-kind services. Instead of paying to use our Services, you agree that you will be a responsible member of our community by following all of our policies, including our Community Standards, and support us in our mission.
Age Policy; Permitted Users

We do not intend that the Service be used by anyone under 13 years old. If we learn or have reason to suspect that a user is under 13 years of age, we will promptly delete that person’s personally identifiable information and prevent such user from using our Service. Further, you represent and warrant that your use of the Service does not and will not conflict with any pre-existing obligation in conflict or in any way inconsistent with the provisions of these Terms.
Overview of the Service; Your Digital Identity

In order to access the Service, you will need to create an account (the “Account”).

You understand that in order for you to use the Service, you must consent to Databag (1) hosting your Digital Identity on Databag, (2) backing up your Digital Identity on secure, third-party servers (like AWS), and (3) transmitting your Digital Identity to other users as you request. You may also host and backup your Digital Identity yourself, in which case we do not have access or permission to your Digital Identity. For users who choose to be listed in the User Directory, Databag will keep a digital copy of your profile image, name, username, location and description (depending on what you have chosen to include) in a separate registry that will allow other users to find you.

You are solely responsible for keeping your Account information, including password, safe. You may not use another user’s account. If you become aware of any unauthorized use of your account, you must promptly notify us of such use. You agree that we will not be liable for any loss or harm that you incur if someone else uses your account or password, either with or without your knowledge, and that you will be solely responsible for such use, whether or not you authorized the use.

Community Standards

Your use of our Services must comply not only with these Terms and our Privacy Policy, but also our Community Standards. Databag may review your conduct and content for compliance with these Terms and our Community Standards.

Our Intellectual Property

The software, including all files and images contained in the Service, and accompanying data, as well as all data provided by users and/or collected by us through the Service (collectively “Our IP”) are the property of Databag or are used with permission from third parties. As part of these Terms, we grant you a nonexclusive, nontransferable, and revocable license to use Our IP solely for the purposes for which it is intended.

Open source software licenses for components of the Services released under an open source license constitute separate written agreements. To the limited extent that the open source software licenses expressly supersede these Terms of Service, the open source licenses govern your agreement with Databag for the use of the components of the Services released under an open source license.

Databag’s Digital Identity

Databag and its Services are protected by copyright, trademark, and other US and foreign laws. These Terms don’t grant you any right, title, or interest in the Services, others’ content in the Services, Databag trademarks, logos and other brand features. We welcome feedback on Databag and our Services, and we thank you for your enthusiastic involvement in our community.
Information We Make Available to You

As part of the Service, we may provide you with various information in furtherance of the Service. Our intention in doing so is to be helpful and to make the Service more useful to you. However, you agree that all information and suggestions that we provide to you through the Service is strictly for informational purposes and shall not be construed or relied upon in any way. You agree that, to the fullest extent permitted by law, and as detailed below in the “Limitation of Liability” section of these Terms, we will not incur any liability at all whatsoever in the event that your reliance on any information provided by us results in harm or damage to you or your property.
Information You Provide to Us

As a core aspect of the functionality of the Service, you may provide us with information about yourself by and by using the Service. By providing this information and content, you grant us the right to use the information and content for any purpose that is in furtherance of providing the Service, as described in these Terms and our Privacy Policy. While we do not claim ownership over any such information and content that you provide, you agree that we have the right to use such information and content in furtherance of the Service. Further, by providing us with information and content through the Service, you represent and warrant that you own, or have the full legal authority to distribute, all information that you provide through the Service.

In addition, we should not be relied upon as a means to store your data or information and we assume no responsibility for such activities.
Prohibited, Illegal, and Inappropriate Content

As part of the functionality of the Service, you may provide us with information about you. You agree not to post or make available any inappropriate content on the Service including, but not limited to, libelous, defamatory, obscene, pornographic, abusive, or threatening content; content that advocates or encourages conduct that could constitute a criminal offense, give rise to civil liability, or otherwise violate any applicable local, state, national, or foreign law or regulation; content that is misleading or not true; or advertise or otherwise solicits funds for goods or services. If you post prohibited, illegal, or inappropriate content, we may remove such content from our servers, and we may suspend or terminate your account, and we reserve the right to investigate, and seek applicable remedies for, violations of applicable law to the fullest extent of the law.

Your Use of Others’ Intellectual Property

Although you may provide information and content to Databag as part of your use of the Service, you agree to be respectful of others’ intellectual property rights. You may not upload, transmit, or otherwise distribute any information or content in violation of intellectual property laws or proprietary rights of any third parties. If you do not respect a third party’s intellectual property or proprietary rights, you are solely responsible for any violations of law. In addition, you are solely responsible for infringement of third party rights caused by any information that is generated from your account.

Digital Millennium Copyright Act

Our Service is integrated with services provided by third parties as part of the functionality of the Service. We have no control over third parties and make no guarantees about, and assume no responsibility for, the information or services provided by third parties.

Additionally, we may provide links to third-party websites and businesses. You acknowledge and agree that we are not responsible for the accuracy, content, or functionality of services provided on or by such third-party websites or businesses, and we do not endorse, nor assume any liability related to your use of, such websites or businesses in any way. 

Account Termination

You are free to stop using our Services at any time. You can delete your account and Digital Identity saved by Databag. If you do, your data will be gone forever.

We reserve the right to suspend or terminate your Account, or take other action to limit or prevent your access to our Service, if we, in our sole discretion, deem that such action is necessary based on: your use of the Service in a way that would potentially expose us to liability; disruption of the Service by you to others; your violation of these Terms or our Privacy Policy; your violation of any applicable laws, rules, regulations, and agreements that may apply to you.

We may, but are not obligated to provide you with reasonable advance notice via the Account or Databag app to remedy the activity that prompted us to contact you and give you the opportunity to export your Digital Identity from our Services.

Proper Use of the Services

You shall not violate or attempt to violate any security features of the Service, including, without limitation, (a) accessing content or data not intended for you, or logging onto a server or account that you are not authorized to access; (b) attempting to probe, scan, or test the vulnerability of the Service, or any associated system or network, or to breach security or authentication measures without proper authorization; (c) interfering or attempting to interfere with service to any user, host, or network, including, without limitation, by means of submitting a virus to the Service, overloading, “flooding,” “spamming,” “mail bombing,” “crashing,” or undertaking similar activities; and (d) forging any TCP/IP packet header or any part of the header information in any e-mail or in any posting using the Service.

ASSUMPTION OF RISK

DATABAG MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND, EXPRESS OR IMPLIED (SEE BELOW), AS TO THE CONTENT OR OPERATION OF THE SERVICE. YOU EXPRESSLY AGREE THAT YOUR USE OF THE SERVICE IS AT YOUR SOLE RISK.
DISCLAIMER OF WARRANTIES; “AS IS”

WE ARE MAKING THE SERVICE AVAILABLE “AS IS” AND, TO THE MAXIMUM EXTENT PERMITTED BY LAW, WE EXPRESSLY DISCLAIM ANY AND ALL WARRANTIES, EXPRESS OR IMPLIED, REGARDING THE SERVICE, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. YOU ASSUME THE RISK OF ANY AND ALL DAMAGE OR LOSS FROM USE OF, OR INABILITY TO USE, THE SERVICE. WE DO NOT WARRANT THAT OPERATION OF THE SERVICE WILL BE UNINTERRUPTED OR ERROR-FREE.
LIMITATION OF LIABILITY

TO THE MAXIMUM EXTENT PERMITTED BY LAW, WE SHALL NOT BE LIABLE FOR DAMAGES OF ANY KIND (INCLUDING, BUT NOT LIMITED TO, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, LOST PROFITS, OR LOST DATA, REGARDLESS OF THE FORESEEABILITY OF THOSE DAMAGES) ARISING OUT OF OR IN CONNECTION WITH YOUR USE OF THE SERVICE INCLUDING, BUT NOT LIMITED TO, DAMAGES ARISING FROM OR RELATED TO ANY OF THE FOLLOWING: ANY CLAIM RELATED TO PERSONAL OR BODILY INJURY IN CONNECTION WITH THE USE OF THE SERVICE; ANY HARM OR DAMAGE CAUSED BY, OR OTHERWISE RELATED TO, YOUR RELIANCE ON INFORMATION PROVIDED THROUGH THE SERVICE; ANY LOSS OR UNAUTHORIZED DISCLOSURE OF DATA; ANY HARM OR DAMAGE CAUSED BY, OR OTHERWISE RELATED TO, YOUR USE OF OR INTERACTION WITH ANY SERVICES OFFERED THROUGH THE SERVICE; AND ANY VIOLATIONS OF APPLICABLE LAWS, RULES, REGULATIONS, AND OTHER AGREEMENTS. THIS LIMITATION SHALL APPLY REGARDLESS OF THE LEGAL THEORY OR FORM OF ACTION.
 
IN NO EVENT WILL OUR AGGREGATE LIABILITY ARISING OUT OF OR IN CONNECTION WITH THESE TERMS AND YOUR USE OF THE SERVICE EXCEED ONE HUNDRED DOLLARS ($100.00).

THE LIMITATIONS OF DAMAGES SET FORTH ABOVE ARE FUNDAMENTAL ELEMENTS OF THE BASIS OF THE BARGAIN BETWEEN YOU AND US.

SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CERTAIN TYPES OF DAMAGES OR CAUSES OF ACTION, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

Indemnification

In the event that any third party brings a claim against us related to your actions, content, information, or any other use of the Service by you, you agree to indemnify, defend, and hold us and our agents harmless from and against any and all third-party claims, including privacy violations, losses, liability, damages, and/or costs (including reasonable attorney fees and costs) relating to such claim. We will notify you promptly of any such claim and will provide you with reasonable assistance, at your expense, in defending any such claim, provided, however, that our failure to so notify you shall not relieve you of your indemnity obligations, but instead shall reduce those obligations by the amount of damages or increased costs and expenses attributable to our failure to give notice. We reserve the right to approve counsel retained by you, to take control of the defense (at our expense) of any claim for which indemnity is required, and to participate in the defense of any claim (at our expense) for which indemnity is required. You may not settle any claim without our prior consent.

Resolving Disputes

We have a mission to build a better system for all us, so let’s see if we can work things out first! We want to address your concerns without needing a formal legal case. Before filing a claim against Databag, you agree to try to resolve the dispute informally by contacting github.com/balzack/databag/discussions. We’ll try to resolve the dispute informally by contacting you via email. If a dispute is not resolved within 15 days of submission, we both agree to attempt in good faith to resolve the dispute through mediation administered by JAMS, which shall take place in San Francisco County, California, and the costs of which shall be divided equally between you and Databag. Third, if the dispute is not resolved through informal resolution and mediation, either party may proceed with a lawsuit, which shall take place in San Francisco County, California. Both Parties consent to venue and personal jurisdiction there.

Either you or we may bring a lawsuit solely for injunctive relief without first engaging in the dispute resolution process described above.

Nothing contained in this Section shall limit our ability to terminate, or otherwise take action related to, your account as provided in these Terms.

Governing Law

These Terms shall be governed by the laws of the State of California, without regard to conflict of law provisions. In the event that a lawsuit is filed where permitted under the provisions above, or in the event that the provisions above are found not to apply to you or to a given dispute, we both agree that any judicial proceeding will be brought in the federal or state courts of San Francisco County, California. Both you and we consent to venue and personal jurisdiction there.

Entire Agreement

These Terms constitute the entire agreement between you and Databag with respect to the subject matter of these Terms, and supersede and replace any other prior or contemporaneous agreements, or terms and conditions applicable to the subject matter of these Terms. These Terms create no third party beneficiary rights.

Waiver, Severability & Assignment

Databag’s failure to enforce a provision is not a waiver of its right to do so later. If a provision is found unenforceable, the remaining provisions of the Terms will remain in full effect and an enforceable term will be substituted reflecting our intent as closely as possible. You may not assign any of your rights under these Terms, and any such attempt will be void. Databag may assign its rights to any of its affiliates or subsidiaries, or to any successor in interest of any business associated with the Services.
Modifications

We may revise our policies, including these Terms or our Privacy Policy, from time to time to better reflect:

(a) changes to the law,

(b) new regulatory requirements

(c) improvements or enhancements made to our Services, or

(d) inputs and suggestions from our community of users.

Before making modifications that affect your use of the Services or your legal rights as a user of our Services, we’ll notify you via an in-product notification, and through announcements in our community forum, allowing time for feedback and input from users (“Feedback”). Please note that although we invite your feedback, we are under no obligation to implement any feedback given by you. Additionally, Databag shall own all right, title and interest in and to the Feedback, and will be free to use, disclose, reproduce, and otherwise distribute and use the Feedback provided to it as it sees fit, entirely without obligation or restriction of any kind. Once finalized, we will announce the modifications and the new terms will be effective no less than 30 days from when we notify you.

If you do not agree to the updates we make, please terminate your account before they become effective. By continuing to use or access the Services after the updates come into effect, you agree to be bound by the revised Terms.
`,
  fr: `
Merci de rejoindre la communauté Databag ! Ces Conditions d'Utilisation (les "Conditions") couvrent vos droits et obligations concernant votre accès et votre utilisation des services Databag, y compris, mais sans s'y limiter, Databag (collectivement, le "Service"). Toutes les références à "vous", "votre" ou "utilisateur" désignent l'utilisateur du Service. En plus de ces Conditions, veuillez consulter la Politique de Confidentialité de Databag, qui décrit nos pratiques liées à la collecte et à l'utilisation de vos informations. Ces Conditions s'appliquent également à notre Politique de Confidentialité. En utilisant le Service, vous déclarez et acceptez avoir lu, compris et accepté d'être lié par ces Conditions et notre Politique de Confidentialité en tant qu'accords contraignants. De plus, vous acceptez que ces Conditions et notre Politique de Confidentialité s'appliquent à votre utilisation antérieure, le cas échéant.

VEUILLEZ LIRE ATTENTIVEMENT CES CONDITIONS, CAR ELLES CONTIENNENT DES INFORMATIONS IMPORTANTES CONCERNANT VOS DROITS ET RESPONSABILITÉS, Y COMPRIS LA LIMITATION DE NOTRE RESPONSABILITÉ. SI VOUS N'ACCEPTEZ PAS CET ACCORD DANS SON INTÉGRALITÉ, VOUS NE POUVEZ PAS ACCÉDER OU UTILISER LE SERVICE.

N'hésitez pas à nous contacter sur github.com/balzack/databag/discussions si vous avez des questions ou souhaitez discuter de l'un de ces documents importants.

Notre mission est de créer un nouvel écosystème qui protégera nos données et identités numériques, renforcera les droits à la vie privée et encouragera l'innovation technologique et la concurrence. Databag ne vend pas de publicités ni vos données personnelles à qui que ce soit. Vous ne les partagez qu'avec les personnes et les applications que vous choisissez. Nous sommes financés par des utilisateurs comme vous grâce à des dons, au soutien financier de notre communauté d'applications et à d'autres formes de soutien tels que des subventions et des services en nature. Au lieu de payer pour utiliser nos services, vous acceptez d'être un membre responsable de notre communauté en respectant toutes nos politiques, y compris nos Normes de la Communauté, et en nous soutenant dans notre mission.
Politique d'Âge ; Utilisateurs Autorisés

Nous n'avons pas l'intention que le Service soit utilisé par des personnes de moins de 13 ans. Si nous apprenons ou avons des raisons de soupçonner qu'un utilisateur a moins de 13 ans, nous supprimerons rapidement les informations personnelles identifiables de cette personne et empêcherons un tel utilisateur d'utiliser notre Service. De plus, vous déclarez et garantissez que votre utilisation du Service ne contrevient pas et ne contreviendra pas à une obligation préexistante en conflit ou d'une manière incompatible avec les dispositions de ces Conditions.
Aperçu du Service ; Votre Identité Numérique

Pour accéder au Service, vous devrez créer un compte (le "Compte").

Vous comprenez que, pour utiliser le Service, vous devez consentir à ce que Databag (1) héberge votre Identité Numérique sur Databag, (2) sauvegarde votre Identité Numérique sur des serveurs sécurisés de tiers (comme AWS) et (3) transmette votre Identité Numérique à d'autres utilisateurs selon vos demandes. Vous pouvez également héberger et sauvegarder votre Identité Numérique vous-même, auquel cas nous n'avons pas accès ni permission à votre Identité Numérique. Pour les utilisateurs qui choisissent d'être répertoriés dans le Répertoire des Utilisateurs, Databag conservera une copie numérique de votre image de profil, de votre nom, de votre nom d'utilisateur, de votre emplacement et de votre description (en fonction de ce que vous avez choisi d'inclure) dans un registre séparé qui permettra à d'autres utilisateurs de vous trouver.

Vous êtes seul responsable de la sécurité de vos informations de compte, y compris de votre mot de passe. Vous ne pouvez pas utiliser le compte d'un autre utilisateur. Si vous découvrez une utilisation non autorisée de votre compte, vous devez nous en informer rapidement. Vous acceptez que nous ne serons pas responsables des pertes ou des dommages que vous subirez si quelqu'un d'autre utilise votre compte ou votre mot de passe, que vous ayez autorisé ou non cette utilisation.

Normes de la Communauté

Votre utilisation de nos Services doit respecter non seulement ces Conditions et notre Politique de Confidentialité, mais aussi nos Normes de la Communauté. Databag peut examiner votre comportement et votre contenu pour vérifier leur conformité avec ces Conditions et nos Normes de la Communauté.

Notre Propriété Intellectuelle

Le logiciel, y compris tous les fichiers et images contenus dans le Service, ainsi que toutes les données fournies par les utilisateurs et/ou collectées par nous par le biais du Service (collectivement, "Notre PI") sont la propriété de Databag ou sont utilisés avec l'autorisation de tiers. Dans le cadre de ces Conditions, nous vous accordons une licence non exclusive, non transférable et révocable pour utiliser Notre PI uniquement aux fins auxquelles elle est destinée.

Les licences de logiciels open source pour les composants des Services publiés sous une licence open source constituent des accords écrits séparés. Dans la mesure où les licences de logiciels open source l'emportent expressément sur ces Conditions d'Utilisation, les licences open source régissent votre accord avec Databag pour l'utilisation des composants des Services publiés sous une licence open source.

L'Identité Numérique de Databag

Databag et ses Services sont protégés par le droit d'auteur, les marques déposées et d'autres lois américaines et étrangères. Ces Conditions ne vous accordent aucun droit, titre ou intérêt dans les Services, le contenu des autres utilisateurs dans les Services, les marques déposées de Databag, les logos et autres caractéristiques de la marque. Nous apprécions les commentaires sur Databag et nos Services, et nous vous remercions de votre participation enthousiaste à notre communauté.
Informations Mises à Votre Disposition

Dans le cadre du Service, nous pouvons vous fournir diverses informations pour améliorer le Service. Notre intention en le faisant est d'être utile et de rendre le Service plus utile pour vous. Cependant, vous acceptez que toutes les informations et suggestions que nous

 vous fournissons par le biais du Service sont strictement à des fins d'information et ne doivent pas être interprétées ou utilisées de quelque manière que ce soit. Vous acceptez que, dans toute la mesure permise par la loi, et comme détaillé ci-dessous dans la section "Limitation de Responsabilité" de ces Conditions, nous ne serons responsables en aucun cas si votre confiance dans les informations fournies par nous entraîne des préjudices ou des dommages pour vous ou vos biens.
Informations que Vous Nous Fournissez

En tant qu'aspect central de la fonctionnalité du Service, vous pouvez nous fournir des informations vous concernant en utilisant le Service. En fournissant ces informations et ce contenu, vous nous accordez le droit d'utiliser les informations et le contenu à des fins liées à la fourniture du Service, telles que décrites dans ces Conditions et notre Politique de Confidentialité. Bien que nous ne revendiquions pas la propriété de ces informations et de ce contenu que vous fournissez, vous acceptez que nous avons le droit d'utiliser ces informations et ce contenu dans le cadre du Service. De plus, en nous fournissant des informations et du contenu par le biais du Service, vous déclarez et garantissez que vous possédez, ou avez pleine autorité légale pour distribuer, toutes les informations que vous fournissez par le biais du Service.

De plus, vous ne devez pas utiliser nos services comme moyen de stocker vos données ou informations, et nous n'assumons aucune responsabilité pour de telles activités.
Contenu Interdit, Illégal et Inapproprié

Dans le cadre de la fonctionnalité du Service, vous pouvez nous fournir des informations vous concernant. Vous acceptez de ne pas publier ni rendre disponible de contenu inapproprié sur le Service, y compris, mais sans s'y limiter, du contenu diffamatoire, obscène, pornographique, abusif ou menaçant ; du contenu qui préconise ou encourage un comportement pouvant constituer une infraction pénale, entraîner une responsabilité civile ou enfreindre de toute autre manière les lois ou règlements locaux, nationaux ou étrangers applicables ; du contenu trompeur ou non véridique ; ou de la publicité ou de la sollicitation de fonds pour des biens ou des services. Si vous publiez un contenu interdit, illégal ou inapproprié, nous pouvons supprimer ce contenu de nos serveurs, suspendre ou résilier votre compte, et nous nous réservons le droit d'enquêter et de rechercher des recours applicables pour des violations de la loi dans toute la mesure permise par la loi.

Votre Utilisation de la Propriété Intellectuelle d'Autrui

Bien que vous puissiez fournir des informations et du contenu à Databag dans le cadre de votre utilisation du Service, vous acceptez de respecter les droits de propriété intellectuelle d'autrui. Vous ne pouvez pas télécharger, transmettre ou distribuer d'aucune manière des informations ou du contenu en violation des lois sur la propriété intellectuelle ou des droits de propriété de tiers. Si vous ne respectez pas les droits de propriété intellectuelle ou de propriété de tiers, vous êtes seul responsable de toute violation de la loi. De plus, vous êtes seul responsable des violations des droits de tiers causées par les informations générées à partir de votre compte.

Loi sur le Droit d'Auteur du Millénaire Numérique (Digital Millennium Copyright Act)

Notre Service est intégré aux services fournis par des tiers dans le cadre de la fonctionnalité du Service. Nous n'avons aucun contrôle sur les tiers et ne faisons aucune garantie concernant les informations ou les services fournis par des tiers.

De plus, nous pouvons fournir des liens vers des sites Web et des entreprises de tiers. Vous reconnaissez et acceptez que nous ne sommes pas responsables de l'exactitude, du contenu ou de la fonctionnalité des services fournis sur ou par de tels sites Web ou entreprises de tiers, et nous ne cautionnons pas, ni n'assumons de responsabilité en relation avec votre utilisation de tels sites Web ou entreprises de quelque manière que ce soit.

Résiliation de Compte

Vous êtes libre d'arrêter d'utiliser nos Services à tout moment. Vous pouvez supprimer votre compte et votre Identité Numérique sauvegardée par Databag. Si vous le faites, vos données seront perdues pour toujours.

Nous nous réservons le droit de suspendre ou de résilier votre Compte, ou de prendre d'autres mesures pour limiter ou empêcher votre accès à notre Service, si nous, à notre seule discrétion, estimons que de telles mesures sont nécessaires en fonction de : votre utilisation du Service de manière à nous exposer potentiellement à une responsabilité ; la perturbation du Service par vous pour d'autres ; votre violation de ces Conditions ou de notre Politique de Confidentialité ; votre violation de toute loi, règle, réglementation applicable et de tout accord qui pourrait vous être applicable.

Nous pouvons, mais ne sommes pas tenus de vous fournir un préavis raisonnable par le biais du Compte ou de l'application Databag pour remédier à l'activité qui nous a poussés à vous contacter et vous donner la possibilité d'exporter votre Identité Numérique de nos Services.

Utilisation Correcte des Services

Vous ne devez pas violer ou tenter de violer les fonctionnalités de sécurité du Service, y compris, sans s'y limiter, (a) accéder à du contenu ou des données qui ne vous sont pas destinés, ou vous connecter à un serveur ou à un compte auquel vous n'êtes pas autorisé à accéder ; (b) tenter de sonder, d'analyser ou de tester la vulnérabilité du Service, ou de tout système ou réseau associé, ou de violer la sécurité ou les mesures d'authentification sans autorisation appropriée ; (c) interférer ou tenter d'interférer avec le service à l'égard d'un autre utilisateur, hôte ou réseau, y compris, sans s'y limiter, en soumettant un virus au Service, en surchargeant, en "noyant", en "spammant", en "bombardant de courriels", en "faisant planter" ou en entreprenant des activités similaires ; et (d) contrefaire un en-tête de paquet TCP/IP ou une partie quelconque des informations d'en-tête dans un courrier électronique ou une publication utilisant le Service.

ASSUMPTION DU RISQUE

DATABAG NE FAIT AUCUNE REPRÉSENTATION OU GARANTIE D'AUCUNE SORTE, EXPRESSE OU IMPLIC

ITE (VOIR CI-DESSOUS), CONCERNANT LE CONTENU OU LE FONCTIONNEMENT DU SERVICE. VOUS CONVENEZ EXPRESSÉMENT QUE VOTRE UTILISATION DU SERVICE EST À VOS PROPRES RISQUES.
EXCLUSION DE GARANTIES ; "TEL QUEL"

NOUS METTONS LE SERVICE À VOTRE DISPOSITION "TEL QUEL" ET, DANS LA MESURE MAXIMALE PERMISE PAR LA LOI, NOUS EXCLUONS EXPRESSÉMENT TOUTES GARANTIES, EXPRESSES OU IMPLICITES, CONCERNANT LE SERVICE, Y COMPRIS, MAIS SANS S'Y LIMITER, TOUTE GARANTIE IMPLICITE DE QUALITÉ MARCHANDE, D'ADAPTATION À UN USAGE PARTICULIER OU DE NON-CONTREFAÇON. VOUS ASSUMEZ LE RISQUE DE TOUT DOMMAGE OU PERTE DÉCOULANT DE L'UTILISATION DU SERVICE OU DE L'IMPOSSIBILITÉ DE L'UTILISER. NOUS NE GARANTISSONS PAS QUE LE SERVICE SERA ININTERROMPU OU EXEMPT D'ERREURS.
LIMITATION DE RESPONSABILITÉ

DANS LA MESURE MAXIMALE PERMISE PAR LA LOI, NOUS NE SERONS PAS RESPONSABLES DES DOMMAGES DE QUELQUE NATURE QUE CE SOIT (Y COMPRIS, MAIS SANS S'Y LIMITER, LES DOMMAGES SPÉCIAUX, ACCESSOIRES OU INDIRECTS, LES PROFITS PERDUS OU LES DONNÉES PERDUES, QUE CES DOMMAGES SOIENT PRÉVISIBLES OU NON) DÉCOULANT DE OU LIÉS À VOTRE UTILISATION DU SERVICE, Y COMPRIS, MAIS SANS S'Y LIMITER, LES DOMMAGES DÉCOULANT DE OU LIÉS À L'UNE DES SITUATIONS SUIVANTES : TOUTE RÉCLAMATION LIÉE À UN DOMMAGE PERSONNEL OU CORPOREL EN RELATION AVEC L'UTILISATION DU SERVICE ; TOUT DOMMAGE OU PRÉJUDICE CAUSÉ PAR, OU AUTREMENT LIÉ À, VOTRE CONFIANCE DANS LES INFORMATIONS FOURNIES PAR LE SERVICE ; TOUTE PERTE OU DIVULGATION NON AUTORISÉE DE DONNÉES ; TOUT DOMMAGE OU PRÉJUDICE CAUSÉ PAR, OU AUTREMENT LIÉ À, VOTRE UTILISATION OU VOTRE INTERACTION AVEC LES SERVICES PROPOSÉS PAR LE BIAIS DU SERVICE ; ET TOUTES LES VIOLATIONS DES LOIS, RÈGLES, RÉGLEMENTS ET AUTRES ACCORDS APPLICABLES. CETTE LIMITATION S'APPLIQUE QUEL QUE SOIT LE FONDEMENT JURIDIQUE OU LA FORME DE L'ACTION.
 
EN AUCUN CAS NOTRE RESPONSABILITÉ GLOBALE DÉCOULANT DE OU LIÉE À CES CONDITIONS ET À VOTRE UTILISATION DU SERVICE NE DÉPASSERA CENT DOLLARS (100,00 $).

LES LIMITATIONS DE DOMMAGES ÉNONCÉES CI-DESSUS SONT DES ÉLÉMENTS FONDAMENTAUX DE LA BASE DE L'ACCORD ENTRE VOUS ET NOUS.

CERTAINES JURIDICTIONS N'AUTORISENT PAS L'EXCLUSION OU LA LIMITATION DE RESPONSABILITÉ POUR CERTAINS TYPES DE DOMMAGES OU CAUSES D'ACTION, AUQUEL CAS LA LIMITATION CI-DESSUS PEUT NE PAS S'APPLIQUER À VOUS.

Indemnisation

Dans l'éventualité où un tiers porte une réclamation contre nous liée à vos actions, votre contenu, vos informations ou toute autre utilisation du Service par vous, vous acceptez de nous indemniser, de nous défendre et de nous tenir et à nos agents hors de cause de toute réclamation de tiers, y compris les violations de la vie privée, les pertes, la responsabilité, les dommages et/ou les coûts (y compris les honoraires raisonnables d'avocat et les frais) liés à cette réclamation. Nous vous notifierons rapidement de toute réclamation de ce type et vous fournirons une assistance raisonnable, à vos frais, pour défendre une telle réclamation, à condition, toutefois, que notre omission de vous notifier ne vous décharge pas de vos obligations d'indemnisation, mais réduise plutôt ces obligations du montant des dommages ou des coûts et frais supplémentaires imputables à notre omission de donner un avis. Nous nous réservons le droit d'approuver les avocats que vous retenez, de prendre le contrôle de la défense (à nos frais) de toute réclamation pour laquelle une indemnisation est requise, et de participer à la défense de toute réclamation (à nos frais) pour laquelle une indemnisation est requise. Vous ne pouvez pas régler une réclamation sans notre consentement préalable.

Règlement des Différends

Nous avons pour mission de construire un meilleur système pour tous, alors essayons de résoudre d'abord les choses ! Nous voulons traiter vos préoccupations sans avoir besoin d'un litige légal formel. Avant de déposer une réclamation contre Databag, vous acceptez d'essayer de résoudre le différend de manière informelle en nous contactant via github.com/balzack/databag/discussions. Nous essaierons de résoudre le différend de manière informelle en vous contactant par e-mail. Si un différend n'est pas résolu dans les 15 jours suivant la soumission, nous convenons tous deux de tenter de bonne foi de résoudre le différend par le biais de la médiation administrée par JAMS, qui se déroulera dans le comté de San Francisco, en Californie, et dont les coûts seront répartis à parts égales entre vous et Databag. Troisièmement, si le différend n'est pas résolu par résolution informelle et par médiation, l'une ou l'autre partie peut engager une action en justice, qui se déroulera dans le comté de San

 Francisco, en Californie, sauf si vous et Databag convenez autrement. Chacun d'entre nous accepte de soumettre à la juridiction personnelle d'un tribunal fédéral ou d'État situé dans le comté de San Francisco, en Californie, à des fins de litige découlant des présentes Conditions ou de votre utilisation du Service.

Respect des Lois

Nous apprécions la diversité des gens qui utilisent Databag. Les lois qui régissent ces Conditions varient d'un endroit à l'autre. Vous acceptez de respecter toutes les lois applicables, règles et réglementations (y compris, mais sans s'y limiter, les lois sur la vie privée) concernant votre utilisation du Service. Cette obligation s'applique quel que soit l'endroit où vous êtes situé.

Notification des Droits d'Auteur

Si vous êtes un détenteur de droits d'auteur ou son agent et que vous pensez que tout contenu de l'Utilisateur ou autre contenu sur le Service enfreint vos droits d'auteur, vous pouvez soumettre une notification conformément à la Digital Millennium Copyright Act ("DMCA") en fournissant à notre Agent des droits d'auteur les informations spécifiées dans cette Politique de Droits d'Auteur. Une réclamation en vertu de la DMCA ne sera reçue que si elle est adressée à notre Agent des droits d'auteur désigné comme suit :
Agent des Droits d'Auteur de Databag
Adresse : [Adresse physique]
Courriel : [Adresse e-mail de l'agent]
Remarque : Si vous fournissez sciemment une fausse déclaration en vertu de la DMCA, vous pourriez être tenu responsable des frais de justice et des dommages-intérêts (y compris les honoraires et les coûts d'avocat) engagés par le titulaire des droits d'auteur ou le titulaire du droit exclusif pour toute perte ou dommage résultant de votre fausse déclaration.

Divers

Ces Conditions, ainsi que notre Politique de Confidentialité et nos Normes de la Communauté, sont l'accord complet entre vous et nous concernant le Service. Les dispositions de ces Conditions, de notre Politique de Confidentialité et de nos Normes de la Communauté qui par leur nature devraient survivre à la résiliation subséquente de ces Conditions, de notre Politique de Confidentialité et de nos Normes de la Communauté survivront à cette résiliation.

Ces Conditions et votre relation avec Databag en vertu de ces Conditions sont régies par les lois de l'État de Californie, États-Unis, sans égard aux principes de conflits de lois. Vous acceptez que la compétence personnelle et exclusive de la Californie sera, le cas échéant, dans tout litige découlant de ou lié aux présentes Conditions ou à votre utilisation du Service, sera venu exclusivement dans un tribunal d'État ou fédéral situé dans le comté de San Francisco, en Californie, États-Unis, et vous acceptez la juridiction personnelle de ces tribunaux.

DATABAG, LA DATABAG ET TOUTE AUTRE INFORMATION ET MARQUE DATABAG, Y COMPRIS LES MARIAGES LOGOS (COLLECTIVEMENT, "LES MARQUES DATABAG") SONT LA PROPRIÉTÉ DE DATABAG OU DE SES LICENCIÉS. VOUS NE POUVEZ PAS COPIER, IMITER OU UTILISER LES MARQUES DATABAG, EN TOUT OU EN PARTIE, SANS LE CONSENTEMENT ÉCRIT PRÉALABLE DE DATABAG OU DE SES LICENCIÉS. EN OUTRE, TOUTE COMPILATION DE TOUT CONTENU PRÉSENT SUR LE SERVICE EST LA PROPRIÉTÉ EXCLUSIVE DE DATABAG ET EST PROTÉGÉE PAR LES LOIS SUR LE DROIT D'AUTEUR.

TOUTES LES DEMANDES D'INFORMATION DOIVENT ÊTRE ADRESSÉES À : [Adresse e-mail de contact de Databag]
`,
  es:
`Gracias por unirte a la comunidad de Databag. Estos Términos de Servicio (los "Términos") cubren tus derechos y obligaciones relacionados con tu acceso y uso de los servicios de Databag, incluyendo, pero no limitándose a Databag (colectivamente, el "Servicio"). Todas las referencias a "tú", "tu" o "usuario" se refieren al usuario del Servicio. Además de estos Términos, por favor revisa la Política de Privacidad de Databag, que describe nuestras prácticas relacionadas con la recopilación y uso de tu información. Estos Términos también se aplican a nuestra Política de Privacidad. Al utilizar el Servicio, representas y aceptas que has leído, comprendido y aceptas estar sujeto tanto a estos Términos como a nuestra Política de Privacidad como acuerdos vinculantes. Además, aceptas que estos Términos y nuestra Política de Privacidad se apliquen a tu uso pasado, si lo hubiera.

POR FAVOR, LEE DETENIDAMENTE ESTOS TÉRMINOS, YA QUE CONTIENEN INFORMACIÓN IMPORTANTE SOBRE TUS DERECHOS Y RESPONSABILIDADES, INCLUYENDO LA LIMITACIÓN DE NUESTRA RESPONSABILIDAD. SI NO ACEPTAS ESTE ACUERDO EN SU TOTALIDAD, NO PODRÁS ACCEDER O USAR EL SERVICIO.

No dudes en ponerte en contacto con nosotros en github.com/balzack/databag/discussions si tienes alguna pregunta o deseas discutir cualquiera de estos documentos importantes.

Nuestra misión es crear un nuevo ecosistema que proteja nuestros datos y nuestras identidades digitales, empodere los derechos de privacidad y promueva la innovación tecnológica y la competencia. Databag no vende anuncios ni tus datos personales a nadie. Compartes tus datos solo con las personas y aplicaciones que decidas. Somos financiados por usuarios como tú a través de donaciones, el apoyo financiero de nuestra comunidad de aplicaciones y otro tipo de apoyo, como subvenciones y servicios en especie. En lugar de pagar por usar nuestros Servicios, aceptas ser un miembro responsable de nuestra comunidad siguiendo todas nuestras políticas, incluyendo nuestros Estándares de la Comunidad, y apoyándonos en nuestra misión.

Política de Edad; Usuarios Permitidos

No pretendemos que el Servicio sea utilizado por personas menores de 13 años. Si llegamos a saber o tenemos motivo para sospechar que un usuario es menor de 13 años, eliminaremos de inmediato la información personal identificable de esa persona y evitaremos que dicho usuario utilice nuestro Servicio. Además, representas y garantizas que tu uso del Servicio no entra en conflicto ni de ninguna manera es incompatible con ninguna obligación previamente existente en conflicto con las disposiciones de estos Términos.

Resumen del Servicio; Tu Identidad Digital

Para acceder al Servicio, necesitarás crear una cuenta (la "Cuenta").

Entiendes que para que puedas usar el Servicio, debes dar tu consentimiento para que Databag (1) aloje tu Identidad Digital en Databag, (2) haga copias de seguridad de tu Identidad Digital en servidores seguros de terceros (como AWS) y (3) transmita tu Identidad Digital a otros usuarios según lo solicites. También puedes alojar y respaldar tu Identidad Digital tú mismo, en cuyo caso no tendremos acceso ni permiso para tu Identidad Digital. Para los usuarios que eligen aparecer en el Directorio de Usuarios, Databag mantendrá una copia digital de tu imagen de perfil, nombre, nombre de usuario, ubicación y descripción (según lo que hayas elegido incluir) en un registro separado que permitirá que otros usuarios te encuentren.

Eres el único responsable de mantener segura la información de tu Cuenta, incluyendo la contraseña. No puedes usar la cuenta de otro usuario. Si te das cuenta de un uso no autorizado de tu cuenta, debes notificarnos de inmediato sobre dicho uso. Aceptas que no seremos responsables por ninguna pérdida o daño que sufras si alguien más usa tu cuenta o contraseña, ya sea con o sin tu conocimiento, y que serás el único responsable de dicho uso, ya sea que hayas autorizado o no dicho uso.

Estándares de la Comunidad

Tu uso de nuestros Servicios debe cumplir no solo con estos Términos y nuestra Política de Privacidad, sino también con nuestros Estándares de la Comunidad. Databag puede revisar tu conducta y contenido para asegurarse de que cumpla con estos Términos y nuestros Estándares de la Comunidad.

Nuestra Propiedad Intelectual

El software, incluyendo todos los archivos e imágenes contenidos en el Servicio, y los datos que lo acompañan, así como todos los datos proporcionados por los usuarios y/o recopilados por nosotros a través del Servicio (colectivamente, "Nuestra PI") son propiedad de Databag o se utilizan con el permiso de terceros. Como parte de estos Términos, te otorgamos una licencia no exclusiva, no transferible y revocable para utilizar Nuestra PI únicamente para los fines para los que está destinada.

Las licencias de software de código abierto para componentes de los Servicios lanzados bajo una licencia de código abierto constituyen acuerdos escritos separados. En la medida en que las licencias de software de código abierto anulen expresamente estos Términos de Servicio, las licencias de código abierto regirán tu acuerdo con Databag para el uso de los componentes de los Servicios lanzados bajo una licencia de código abierto.

Identidad Digital de Databag

Databag y sus Servicios están protegidos por derechos de autor, marcas registradas y otras leyes estadounidenses y extranjeras. Estos Términos no te otorgan ningún derecho, título o interés en los Servicios, en el contenido de otros en los Servicios, en las marcas registradas de Databag, logotipos y otras características de marca. Agradecemos los comentarios sobre Databag y nuestros Servicios, y te agradecemos por tu participación entusiasta en nuestra comunidad.

Información que Ponemos a Tu Disposición

Como parte del Servicio, podemos proporcionarte información variada en beneficio del Servicio. Nuestra intención al hacerlo es ser útiles y hacer que el Servicio sea más útil para ti. Sin embargo, aceptas que toda la información y sugerencias que te proporcionemos a través del Servicio son estrictamente con fines informativos y no deben ser interpretadas o utilizadas de ninguna manera. Aceptas que, en la medida máxima permitida por la ley y como se detalla a continuación en la sección de "Limitación de Responsabilidad" de estos Términos, no incurrirás en ningún tipo de responsabilidad en caso de que tu confianza en cualquier información proporcionada por nosotros resulte en daño o perjuicio para ti o tu propiedad.

Información que nos Proporcionas

Como parte fundamental de la funcionalidad del Servicio, puedes proporcionarnos información sobre ti mismo a través del Servicio. Al proporcionar esta información y contenido, nos otorgas el derecho de utilizar la información y contenido para cualquier propósito que contribuya a proporcionar el Servicio, como se describe en estos Términos y nuestra Política de Privacidad. Si bien no reclamamos la propiedad sobre dicha información y contenido que proporcionas, aceptas que tenemos el derecho de utilizar dicha información y contenido para contribuir al Servicio. Además, al proporcionarnos información y contenido a través del Servicio, representas y garantizas que eres el propietario o tienes la plena autoridad legal para distribuir toda la información que proporcionas a través del Servicio.

Además, no debes confiar en nosotros como medio para almacenar tus datos o información, y no asumimos ninguna responsabilidad por tales actividades.

Contenido Prohibido, Ilegal e Inapropiado

Como parte de la funcionalidad del Servicio, puedes proporcionarnos información sobre ti. Aceptas no publicar ni poner a disposición ningún contenido inapropiado en el Servicio, incluyendo, pero no limitándote a, contenido difamatorio, obsceno, pornográfico, abusivo o amenazante; contenido que promueva o aliente conductas que puedan constituir un delito penal, dar lugar a responsabilidad civil o de cualquier otro tipo, o que de alguna manera viole cualquier ley o regulación local, estatal, nacional o extranjera aplicable; contenido que sea engañoso o falso; o que anuncie o solicite fondos para bienes o servicios. Si publicas contenido prohibido, ilegal o inapropiado, podemos eliminar dicho contenido de nuestros servidores, suspender o cerrar tu cuenta, y nos reservamos el derecho de investigar y buscar remedios aplicables por violaciones de la ley en la máxima medida permitida por la ley.

Tu Uso de la Propiedad Intelectual de Otros

Aunque puedes proporcionar información y contenido a Databag como parte de tu uso del Servicio, aceptas respetar los derechos de propiedad intelectual de otros. No puedes cargar, transmitir o distribuir de ninguna manera información o contenido en violación de las leyes de propiedad intelectual o de los derechos de propiedad de terceros. Si no respetas los derechos de propiedad intelectual o de propiedad de terceros, eres el único responsable de cualquier infracción de la ley de terceros. Además, eres el único responsable de cualquier infracción de los derechos de terceros causada por cualquier información generada a partir de tu cuenta.

Ley de Derechos de Autor del Milenio Digital

Nuestro Servicio está integrado con servicios proporcionados por terceros como parte de la funcionalidad del Servicio. No tenemos control sobre terceros y no ofrecemos garantías sobre la información o servicios proporcionados por terceros.

Además, podemos proporcionar enlaces a sitios web y negocios de terceros. Reconoces y aceptas que no somos responsables de la exactitud, contenido o funcionalidad de los servicios proporcionados en o por dichos sitios web o negocios de terceros, y no respaldamos, ni asumimos ninguna responsabilidad relacionada con tu uso de dichos sitios web o negocios de ninguna manera.

Terminación de la Cuenta

Eres libre de dejar de utilizar nuestros Servicios en cualquier momento. Puedes eliminar tu cuenta y la Identidad Digital guardada por Databag. Si lo haces, tus datos se eliminarán para siempre.

Nos reservamos el derecho de suspender o cerrar tu Cuenta, o tomar otras medidas para limitar o prevenir tu acceso a nuestro Servicio, si nosotros, a nuestra entera discreción, consideramos que dicha acción es necesaria en función de: tu uso del Servicio de una manera que podría potencialmente exponernos a responsabilidad; la interrupción del Servicio por tu parte a otros; tu violación de estos Términos o nuestra Política de Privacidad; tu violación de las leyes, normativas y acuerdos aplicables que puedan aplicarse a ti.

Podemos, pero no estamos obligados a proporcionarte un aviso razonable por adelantado a través de la Cuenta o la aplicación de Databag para remediar la actividad que nos llevó a contactarte y darte la oportunidad de exportar tu Identidad Digital de nuestros Servicios.

Uso Adecuado de los Servicios

No debes violar ni intentar violar ninguna característica de seguridad del Servicio, incluyendo, sin limitación, (a) acceder a contenido o datos que no estén destinados para ti, o iniciar sesión en un servidor o cuenta al que no estés autorizado para acceder; (b) intentar explorar, escanear o probar la vulnerabilidad del Servicio o de cualquier sistema o red asociada, o intentar vulnerar la seguridad o medidas de autenticación sin la autorización adecuada; (c) interferir o intentar interferir con el servicio a cualquier usuario, host o red, incluyendo, sin limitación, mediante el envío de un virus al Servicio, sobrecargándolo, "inundándolo", "spammeándolo", "bombardeándolo" o realizando actividades similares; y (d) falsificar cualquier encabezado de paquete TCP/IP o cualquier parte de la información del encabezado en cualquier correo electrónico o en cualquier publicación utilizando el Servicio.

ASUNCIÓN DE RIESGO

DATABAG NO HACE REPRESENTACIONES O GARANTÍAS DE NINGÚN TIPO, EXPRESAS O IMPLÍCITAS (VER ABAJO), CON RESPECTO AL CONTENIDO O FUNCIONAMIENTO DEL SERVICIO. ACEPTAS EXPRESAMENTE QUE TU USO DEL SERVICIO ES POR TU CUENTA Y RIESGO EXCLUSIVAMENTE.

RENUNCIA DE GARANTÍAS; "TAL CUAL"

ESTAMOS PONIENDO EL SERVICIO A DISPOSICIÓN "TAL CUAL" Y, EN LA MEDIDA MÁXIMA PERMITIDA POR LA LEY, RENUNCIAMOS EXPRESAMENTE A CUALQUIER GARANTÍA, EXPRESA O IMPLÍCITA, CON RESPECTO AL SERVICIO, INCLUYENDO, PERO SIN LIMITARSE A, CUALQUIER GARANTÍA IMPLÍCITA DE COMERCIABILIDAD, IDONEIDAD PARA UN PROPÓSITO PARTICULAR O NO INFRACCIÓN. ACEPTAS EL RIESGO DE CUALQUIER DAÑO O PÉRDIDA DEBIDO AL USO O INCAPACIDAD DE USAR EL SERVICIO. NO GARANTIZAMOS QUE LA OPERACIÓN DEL SERVICIO SEA ININTERRUMPIDA O LIBRE DE ERRORES.

LIMITACIÓN DE RESPONSABILIDAD

EN LA MEDIDA MÁXIMA PERMITIDA POR LA LEY, NO SEREMOS RESPONSABLES DE DAÑOS DE NINGÚN TIPO (INCLUYENDO, PERO SIN LIMITARSE A, DAÑOS ESPECIALES, INCIDENTALES O CONSECUENTES, PÉRDIDA DE BENEFICIOS O PÉRDIDA DE DATOS, INDEPENDIENTEMENTE DE LA PREVISIBILIDAD DE DICHOS DAÑOS) DERIVADOS DE O EN CONEXIÓN CON TU USO DEL SERVICIO, INCLUYENDO, PERO SIN LIMITARSE A, DAÑOS DERIVADOS DE O RELACIONADOS CON CUALQUIERA DE LOS SIGUIENTES: CUALQUIER RECLAMO RELACIONADO CON LESIONES PERSONALES O CORPORALES EN RELACIÓN CON EL USO DEL SERVICIO; CUALQUIER DAÑO O PERJUICIO CAUSADO POR, O DE CUALQUIER OTRA MANERA RELACIONADO CON, TU CONFIANZA EN LA INFORMACIÓN PROPORCIONADA A TRAVÉS DEL SERVICIO; CUALQUIER PÉRDIDA O DIVULGACIÓN NO AUTORIZADA DE DATOS; CUALQUIER DAÑO O PERJUICIO CAUSADO POR, O DE CUALQUIER OTRA MANERA RELACIONADO CON, TU USO O INTERACCIÓN CON CUALQUIER SERVICIO OFRECIDO A TRAVÉS DEL SERVICIO; Y CUALQUIER VIOLACIÓN DE LAS LEYES, REGLAS, REGULACIONES Y OTROS ACUERDOS APLICABLES. ESTA LIMITACIÓN SE APLICARÁ INDEPENDIENTEMENTE DE LA TEORÍA LEGAL O FORMA DE ACCIÓN.

EN NINGÚN CASO NUESTRA RESPONSABILIDAD AGREGADA DERIVADA DE O EN CONEXIÓN CON ESTOS TÉRMINOS Y TU USO DEL SERVICIO EXCEDERÁ CIEN DÓLARES ($100.00).

LAS LIMITACIONES DE DAÑOS ESTABLECIDAS ARRIBA SON ELEMENTOS FUNDAMENTALES DE LA BASE DE LA NEGOCIACIÓN ENTRE TÚ Y NOSOTROS.

ALGUNAS JURISDICCIONES NO PERMITEN LA EXCLUSIÓN O LIMITACIÓN DE RESPONSABILIDAD POR CIERTOS TIPOS DE DAÑOS O CAUSAS DE ACCIÓN, POR LO QUE LA LIMITACIÓN ANTERIOR PUEDE NO APLICARSE A TI.

Indemnización

En el caso de que un tercero presente una reclamación en nuestra contra relacionada con tus acciones, contenido, información o cualquier otro uso del Servicio por parte tuya, aceptas indemnizarnos, defendernos y mantenernos a nosotros y a nuestros agentes indemnes de y contra cualquier reclamación de terceros, incluyendo violaciones de la privacidad, pérdidas, responsabilidad, daños y/o costos (incluyendo honorarios razonables de abogados y costos) relacionados con dicha reclamación. Te notificaremos rápidamente cualquier reclamación de este tipo y te proporcionaremos asistencia razonable, a tu cargo, en la defensa de dicha reclamación, siempre y cuando nuestra falta de notificación no te exima de tus obligaciones de indemnización, sino que reducirá esas obligaciones en la cantidad de daños o costos adicionales atribuibles a nuestra falta de notificación. Nos reservamos el derecho de aprobar al abogado que elijas, de tomar el control de la defensa (a nuestra cuenta) de cualquier reclamación que requiera indemnización, y de participar en la defensa de cualquier reclamación (a nuestra cuenta) que requiera indemnización. No puedes resolver ninguna reclamación sin nuestro consentimiento previo.

Resolución de Disputas

Tenemos la misión de construir un mejor sistema para todos nosotros, así que veamos si podemos resolver las cosas primero. Queremos abordar tus inquietudes sin necesidad de un caso legal formal. Antes de presentar una reclamación contra Databag, aceptas intentar resolver la disputa de manera informal contactando a github.com/balzack/databag/discussions. Intentaremos resolver la disputa de manera informal contactándote por correo electrónico. Si una disputa no se resuelve dentro de los 15 días posteriores a la presentación, ambos acordamos intentar de buena fe resolver la disputa a través de mediación administrada por JAMS, que se llevará a cabo en el condado de San Francisco, California, y los costos se dividirán equitativamente entre tú y Databag. Tercero, si la disputa no se resuelve a través de la resolución informal y la mediación, cualquiera de las partes puede proceder con una demanda, que se llevará a cabo en el condado de San Francisco, California. Ambas partes consienten a la jurisdicción y competencia personal allí.

Tanto tú como nosotros podemos presentar una demanda únicamente por medidas cautelares sin necesidad de iniciar el proceso de resolución de disputas descrito anteriormente.

Nada de lo contenido en esta Sección limitará nuestra capacidad para rescindir o tomar otras medidas relacionadas con tu cuenta según lo establecido en estos Términos.

Ley Aplicable

Estos Términos se regirán por las leyes del Estado de California, sin tener en cuenta las disposiciones de conflicto de leyes. En caso de que se presente una demanda donde lo permitan las disposiciones anteriores, o en caso de que las disposiciones anteriores no se apliquen a ti o a una disputa en particular, ambos acordamos que cualquier procedimiento judicial se llevará a cabo en los tribunales federales o estatales del condado de San Francisco, California. Tanto tú como nosotros consentimos a la jurisdicción personal de estos tribunales.

Disposiciones Generales

Estos Términos se aplican a tu uso del Servicio y pueden ser enmendados en cualquier momento sin previo aviso.

Si alguno de los términos o condiciones de estos Términos se considera nulo o inexigible por cualquier motivo, dicho término o condición se considerará divisible de estos Términos y no afectará la validez y aplicabilidad de cualquier término o condición restante.

Estos Términos constituyen el acuerdo completo y exclusivo entre tú y Databag con respecto al Servicio y reemplazan y sustituyen cualquier acuerdo previo entre tú y Databag con respecto al Servicio.

Nuestra renuncia a cualquier término o condición de estos Términos o falta de hacer cumplir cualquier término o condición no será considerada como una renuncia a dicho término o condición en el futuro.

Estos Términos son personales para ti, y no puedes asignar ni transferir tus derechos o responsabilidades bajo estos Términos a ninguna otra persona.

Si no se cumple o se ejecuta algún término o condición de estos Términos, no se considerará una renuncia a dicho término o condición, y ningún incumplimiento o incumplimiento posterior de los mismos se considerará una renuncia a dicho término o condición.

Cualquier aviso o comunicación requerido o permitido en estos Términos se considerará entregado cuando se envíe por correo electrónico a la dirección de correo electrónico asociada a tu Cuenta.

Podemos cambiar estos Términos ocasionalmente. Si hacemos cambios, te informaremos a través de una notificación en el Servicio o por otros medios para proporcionarte la oportunidad de revisar los cambios antes de que se vuelvan efectivos. Si no te gusta algún cambio, puedes cerrar tu Cuenta en cualquier momento.

Por favor, revisa nuestra Política de Privacidad (en github.com/balzack/databag/discussions) para comprender cómo recopilamos y utilizamos la información. Al utilizar el Servicio, aceptas nuestras prácticas de privacidad y el uso de la información tal como se describe en la Política de Privacidad.

Estos Términos no otorgan ningún derecho o beneficio a terceros. No tienes el derecho de asignar ni transferir estos Términos o cualquier derecho bajo estos Términos sin nuestro consentimiento previo por escrito. Podemos ceder estos Términos y cualquiera de nuestros derechos u obligaciones en virtud de estos Términos en cualquier momento sin tu consentimiento.

Si tienes alguna pregunta o preocupación sobre estos Términos, puedes ponerte en contacto con nosotros en github.com/balzack/databag/discussions.
`,
  de:
` Vielen Dank, dass Sie der Databag-Community beigetreten sind! Diese Nutzungsbedingungen (die "Bedingungen") regeln Ihre Rechte und Pflichten im Zusammenhang mit Ihrem Zugang und Ihrer Nutzung der Databag-Dienste, einschließlich, aber nicht beschränkt auf Databag (zusammen "der Dienst"). Alle Verweise auf "Sie", "Ihre" oder "Benutzer" beziehen sich auf den Benutzer des Dienstes. Neben diesen Bedingungen sollten Sie auch die Datenschutzrichtlinie von Databag überprüfen, die unsere Praktiken in Bezug auf die Sammlung und Verwendung Ihrer Informationen beschreibt. Diese Bedingungen gelten auch für unsere Datenschutzrichtlinie. Durch die Nutzung des Dienstes erklären Sie sich damit einverstanden und bestätigen, dass Sie sowohl diese Bedingungen als auch unsere Datenschutzrichtlinie als verbindliche Vereinbarungen gelesen, verstanden und akzeptiert haben. Darüber hinaus stimmen Sie zu, dass diese Bedingungen und unsere Datenschutzrichtlinie auch für Ihre bisherige Nutzung gelten, sofern vorhanden.

BITTE LESEN SIE DIESE BEDINGUNGEN SORGFÄLTIG DURCH, DA SIE WICHTIGE INFORMATIONEN ÜBER IHRE RECHTE UND PFLICHTEN ENTHALTEN, EINSCHLIESSLICH DER BEGRENZUNG UNSERER HAFTUNG. WENN SIE DIESE VEREINBARUNG NICHT IN VOLLEM UMFANG AKZEPTIEREN, DÜRFEN SIE NICHT AUF DEN DIENST ZUGREIFEN ODER DIESEN NUTZEN.

Zögern Sie nicht, uns unter github.com/balzack/databag/discussions zu kontaktieren, wenn Sie Fragen haben oder eines dieser wichtigen Dokumente besprechen möchten.

Unsere Mission besteht darin, ein neues Ökosystem zu schaffen, das unsere Daten und digitalen Identitäten schützt, die Rechte auf Privatsphäre stärkt und technologische Innovation und Wettbewerb fördert. Databag verkauft keine Anzeigen oder persönlichen Daten an Dritte. Sie teilen sie nur mit den Personen und Apps, die Sie auswählen. Wir werden von Benutzern wie Ihnen durch Spenden, finanzielle Unterstützung unserer Community von Apps und anderer Unterstützung wie Stipendien und Sachleistungen finanziert. Anstatt für die Nutzung unserer Dienste zu bezahlen, stimmen Sie zu, dass Sie ein verantwortungsbewusstes Mitglied unserer Community sein werden, indem Sie alle unsere Richtlinien, einschließlich unserer Community-Standards, befolgen und uns bei unserer Mission unterstützen.

Altersrichtlinie; Berechtigte Benutzer

Wir beabsichtigen nicht, dass der Dienst von Personen unter 13 Jahren genutzt wird. Wenn wir erfahren oder Grund zu der Annahme haben, dass ein Benutzer unter 13 Jahren ist, werden wir die personenbezogenen Daten dieser Person umgehend löschen und diese Person daran hindern, unseren Dienst zu nutzen. Darüber hinaus erklären und garantieren Sie, dass Ihre Nutzung des Dienstes keine vorherigen Verpflichtungen beeinträchtigt oder im Widerspruch zu den Bestimmungen dieser Bedingungen steht.

Überblick über den Dienst; Ihre digitale Identität

Um auf den Dienst zugreifen zu können, müssen Sie ein Konto erstellen (das "Konto").

Sie verstehen, dass Sie zur Nutzung des Dienstes Ihre Zustimmung zu Databag erteilen müssen, (1) Ihre digitale Identität auf Databag zu hosten, (2) Ihre digitale Identität auf sicheren Servern von Drittanbietern (wie AWS) zu sichern und (3) Ihre digitale Identität auf Anfrage an andere Benutzer zu übertragen. Sie können Ihre digitale Identität auch selbst hosten und sichern, in welchem Fall wir keinen Zugriff auf Ihre digitale Identität haben. Für Benutzer, die in das Benutzerverzeichnis aufgenommen werden möchten, wird Databag eine digitale Kopie Ihres Profilbilds, Ihres Namens, Ihres Benutzernamens, Ihres Standorts und Ihrer Beschreibung (je nachdem, was Sie aufgenommen haben) in einem separaten Register behalten, das es anderen Benutzern ermöglicht, Sie zu finden.

Sie sind allein verantwortlich dafür, Ihre Kontoinformationen, einschließlich Ihres Passworts, sicher aufzubewahren. Sie dürfen das Konto eines anderen Benutzers nicht verwenden. Wenn Ihnen unbefugte Nutzung Ihres Kontos bekannt wird, müssen Sie uns umgehend über eine solche Nutzung informieren. Sie stimmen zu, dass wir nicht für Verluste oder Schäden haften, die Ihnen entstehen, wenn jemand anderes Ihr Konto oder Ihr Passwort verwendet, sei es mit oder ohne Ihr Wissen, und dass Sie allein für eine solche Nutzung verantwortlich sind, unabhängig davon, ob Sie die Nutzung autorisiert haben oder nicht.

Community-Standards

Ihre Nutzung unserer Dienste muss nicht nur diesen Bedingungen und unserer Datenschutzrichtlinie entsprechen, sondern auch unseren Community-Standards. Databag kann Ihr Verhalten und Ihren Inhalt auf Einhaltung dieser Bedingungen und unserer Community-Standards überprüfen.

Unsere geistigen Eigentumsrechte

Die Software, einschließlich aller Dateien und Bilder im Dienst, sowie alle von Benutzern bereitgestellten Daten und/oder von uns über den Dienst gesammelten Daten (zusammen "Unser IP") sind Eigentum von Databag oder werden mit Genehmigung von Drittanbietern verwendet. Im Rahmen dieser Bedingungen gewähren wir Ihnen eine nicht ausschließliche, nicht übertragbare und widerrufliche Lizenz zur Nutzung von Unser IP ausschließlich zu den Zwecken, für die es vorgesehen ist.

Open-Source-Softwarelizenzen für Komponenten der Dienste, die unter einer Open-Source-Lizenz veröffentlicht wurden, stellen separate schriftliche Vereinbarungen dar. Soweit die Open-Source-Softwarelizenzen diese Nutzungsbedingungen ausdrücklich außer Kraft setzen, regeln die Open-Source-Lizenzen Ihre Vereinbarung mit Databag für die Nutzung der unter einer Open-Source-Lizenz veröffentlichten Komponenten der Dienste.

Digitale Identität von Databag

Databag und seine Dienste sind durch Urheberrechte, Markenrechte und andere US-amerikanische und ausländische Gesetze geschützt. Diese Bedingungen gewähren Ihnen keine Rechte, Titel oder Interessen an den Diensten, dem Inhalt anderer Benutzer in den Diensten, den Marken, Logos und anderen Markenmerkmalen von Databag. Wir freuen uns über Feedback zu Databag und unseren Diensten, und wir danken Ihnen für Ihre aktive Beteiligung an unserer Community.

Informationen, die wir Ihnen zur Verfügung stellen

Im Rahmen des Dienstes können wir Ihnen verschiedene Informationen zur Förderung des Dienstes zur Verfügung stellen. Unser Ziel dabei ist es, hilfreich zu sein und den Dienst für Sie nützlicher zu gestalten. Sie stimmen jedoch zu, dass alle von uns über den Dienst bereitgestellten Informationen und Empfehlungen streng zu Informationszwecken dienen und in keiner Weise ausgelegt oder darauf vertraut werden dürfen. Sie stimmen zu, dass wir, soweit gesetzlich zulässig und wie unten in Abschnitt "Haftungsbeschränkung" dieser Bedingungen näher erläutert, keinerlei Haftung übernehmen, falls Ihr Vertrauen in Informationen, die von uns bereitgestellt werden, zu Schäden oder Verlusten führt, sei es an Ihnen oder an Ihrem Eigentum.

Informationen, die Sie uns zur Verfügung stellen

Als wesentlicher Bestandteil der Funktionalität des Dienstes können Sie uns Informationen über sich selbst bereitstellen, indem Sie den Dienst nutzen. Durch die Bereitstellung dieser Informationen und Inhalte gewähren Sie uns das Recht, die Informationen und Inhalte für jeden Zweck zu verwenden, der zur Erbringung des Dienstes im Einklang mit diesen Bedingungen und unserer Datenschutzrichtlinie erforderlich ist. Obwohl wir keine Eigentumsrechte an solchen Informationen und Inhalten geltend machen, stimmen Sie zu, dass wir das Recht haben, solche Informationen und Inhalte im Rahmen des Dienstes zu verwenden. Darüber hinaus erklären und garantieren Sie durch die Bereitstellung von Informationen und Inhalten über den Dienst, dass Sie im Besitz aller Informationen sind, die Sie über den Dienst bereitstellen, oder die volle rechtliche Autorität zur Verteilung dieser Informationen haben.

Darüber hinaus sollten Sie sich nicht darauf verlassen, dass der Dienst Ihre Daten oder Informationen speichert, und wir übernehmen keine Verantwortung für solche Aktivitäten.

Verbotene, illegale und unangemessene Inhalte

Im Rahmen der Funktionalität des Dienstes können Sie uns Informationen über sich selbst zur Verfügung stellen. Sie erklären sich damit einverstanden, keine unangemessenen Inhalte im Dienst zu veröffentlichen oder zur Verfügung zu stellen, einschließlich, aber nicht beschränkt auf verleumderische, diffamierende, obszöne, pornografische, beleidigende oder bedrohliche Inhalte; Inhalte, die dazu aufrufen oder Verhalten fördern könnten, das eine Straftat darstellen könnte, zivilrechtliche Haftung begründen oder anderweitig gegen geltendes lokales, staatliches, nationales oder ausländisches Recht oder Vorschriften verstoßen könnte; irreführende oder unwahre Inhalte; oder Werbung oder sonstige Aufforderungen zur Bereitstellung von Mitteln für Waren oder Dienstleistungen. Wenn Sie verbotene, illegale oder unangemessene Inhalte veröffentlichen, können wir solche Inhalte von unseren Servern entfernen, Ihr Konto sperren oder kündigen und uns das Recht vorbehalten, Verstöße gegen geltendes Recht in vollem Umfang zu untersuchen und geeignete Maßnahmen zu ergreifen.

Ihre Nutzung des geistigen Eigentums anderer

Obwohl Sie Databag im Rahmen Ihrer Nutzung des Dienstes Informationen und Inhalte zur Verfügung stellen können, erklären Sie sich damit einverstanden, die geistigen Eigentumsrechte anderer zu respektieren. Sie dürfen keine Informationen oder Inhalte in Verletzung von Urheberrechten oder Eigentumsrechten Dritter hochladen, übertragen oder anderweitig verteilen. Wenn Sie die geistigen Eigentums- oder Eigentumsrechte Dritter nicht respektieren, sind Sie allein verantwortlich für Verstöße gegen das Gesetz. Darüber hinaus sind Sie allein verantwortlich für Verletzungen der Rechte Dritter, die durch Informationen verursacht werden, die aus Ihrem Konto generiert werden.

Digital Millennium Copyright Act

Unser Dienst ist in die Dienste Dritter integriert, die Teil der Funktionalität des Dienstes sind. Wir haben keine Kontrolle über Dritte und übernehmen keine Garantien für die Informationen oder Dienste, die von Dritten bereitgestellt werden.

Darüber hinaus können wir Links zu Websites und Unternehmen von Drittanbietern bereitstellen. Sie erkennen an und stimmen zu, dass wir nicht für die Genauigkeit, den Inhalt oder die Funktionalität von Diensten verantwortlich sind, die von solchen Websites oder Unternehmen bereitgestellt werden, und wir befürworten keine solchen Websites oder Unternehmen in irgendeiner Weise.

Kündigung des Kontos

Sie sind frei, unsere Dienste jederzeit zu beenden. Sie können Ihr Konto und Ihre von Databag gespeicherte digitale Identität löschen. Wenn Sie dies tun, werden Ihre Daten für immer gelöscht.

Wir behalten uns das Recht vor, Ihr Konto zu sperren oder zu kündigen oder andere Maßnahmen zu ergreifen, um Ihren Zugang zu unserem Dienst zu begrenzen oder zu verhindern, wenn wir nach unserem alleinigen Ermessen der Ansicht sind, dass solche Maßnahmen aufgrund Ihrer Nutzung des Dienstes erforderlich sind: Ihre Nutzung des Dienstes in einer Weise, die uns potenziell haftbar machen könnte; Störungen des Dienstes durch Sie gegenüber anderen; Ihre Verletzung dieser Bedingungen oder unserer Datenschutzrichtlinie; Ihre Verletzung geltender Gesetze, Vorschriften und Vereinbarungen, die auf Sie zutreffen können.

Wir können, sind aber nicht verpflichtet, Ihnen eine angemessene Vorankündigung über das Konto oder die Databag-App zu geben, um die Aktivität zu beheben, die uns dazu veranlasst hat, Sie zu kontaktieren, und Ihnen die Möglichkeit zu geben, Ihre digitale Identität aus unseren Diensten zu exportieren.

Rechtmäßige Nutzung der Dienste

Sie dürfen keine Sicherheitsmerkmale des Dienstes verletzen oder versuchen zu verletzen, einschließlich, aber nicht beschränkt auf (a) den Zugriff auf Inhalte oder Daten, die nicht für Sie bestimmt sind, oder das Anmelden auf einen Server oder ein Konto, für das Sie nicht autorisiert sind; (b) Versuche, die Verwundbarkeit des Dienstes, eines zugehörigen Systems oder Netzwerks zu erkunden, zu scannen oder zu testen oder Sicherheits- oder Authentifizierungsmaßnahmen ohne ordnungsgemäße Autorisierung zu durchbrechen; (c) Störung oder der Versuch, den Dienst für einen Benutzer, einen Host oder ein Netzwerk zu stören oder zu beeinträchtigen, einschließlich, aber nicht beschränkt auf das Einreichen eines Virus auf den Dienst, Überlastung, "Fluten", "Spamming", "Mail Bombing", "Absturz" oder ähnliche Aktivitäten; und (d) Fälschung eines beliebigen Teils des TCP/IP-Paket-Headers oder der Header-Informationen in einer E-Mail oder einem Beitrag unter Verwendung des Dienstes.

ANNAHME DES RISIKOS

DATABAG GIBT KEINERLEI DARSTELLUNGEN ODER GARANTIEN JEGLICHER ART, AUSDRÜCKLICH ODER STILLSCHWEIGEND (SIEHE UNTEN), HINSICHTLICH DES INHALTS ODER DER BETRIEB DES DIENSTES AB. SIE ERKLÄREN AUSDRÜCKLICH, DASS IHRE NUTZUNG DES DIENSTES AUF IHR EIGENES RISIKO ERFOLGT.

HAFTUNGSAUSSCHLUSS; "WIE BESEHEN"

WIR STELLEN DEN DIENST "WIE BESEHEN" ZUR VERFÜGUNG UND WIDERSPRECHEN AUSDRÜCKLICH JEGLICHEN UND ALLEN GARANTIEN, AUSDRÜCKLICH ODER STILLSCHWEIGEND, BEZOGEN AUF DEN DIENST, EINSCHLIESSLICH, ABER NICHT BESCHRÄNKT AUF JEGLICHE STILLSCHWEIGENDE GARANTIEN DER MARKTFÄHIGKEIT, DER EIGNUNG FÜR EINEN BESTIMMTEN ZWECK ODER DER NICHTVERLETZUNG. SIE TRAGEN DAS RISIKO FÜR JEGLICHE UND ALLE SCHÄDEN ODER VERLUSTE AUS DER NUTZUNG DES DIENSTES ODER DER UNFÄHIGKEIT, DEN DIENST ZU NUTZEN. WIR GARANTIEREN NICHT, DASS DER BETRIEB DES DIENSTES UNUNTERBROCHEN ODER FEHLERFREI SEIN WIRD.

HAFTUNGSBESCHRÄNKUNG

SOWEIT GESETZLICH ZULÄSSIG, HAFTEN WIR NICHT FÜR SCHÄDEN JEGLICHER ART (EINSCHLIESSLICH, ABER NICHT BESCHRÄNKT AUF BESONDERE, ZUFÄLLIGE ODER FOLGESCHÄDEN, ENTGANGENE GEWINNE ODER VERLORENE DATEN, UNABHÄNGIG DAVON, OB DIESE SCHÄDEN VORHERSEHBAR WAREN) IM ZUSAMMENHANG MIT IHRER NUTZUNG DES DIENSTES, EINSCHLIESSLICH, ABER NICHT BESCHRÄNKT AUF SCHÄDEN AUS ODER IM ZUSAMMENHANG MIT EINEM DER FOLGENDEN PUNKTE: ANSPRÜCHE IM ZUSAMMENHANG MIT KÖRPERLICHEN ODER PERSONENSCHÄDEN IM ZUSAMMENHANG MIT DER NUTZUNG DES DIENSTES; SCHÄDEN ODER SCHÄDEN, DIE DURCH ODER IM ZUSAMMENHANG MIT IHREM VERTRAUEN AUF INFORMATIONEN, DIE DURCH DEN DIENST BEREITGESTELLT WERDEN, VERURSACHT WERDEN; VERLUST ODER UNBEFUGTE OFFENLEGUNG VON DATEN; SCHÄDEN ODER SCHÄDEN, DIE DURCH ODER IM ZUSAMMENHANG MIT IHREM GEBRAUCH ODER IHRER INTERAKTION MIT DIENSTEN, DIE DURCH DEN DIENST ANGEBOTEN WERDEN, VERURSACHT WERDEN; UND VERLETZUNGEN VON ANWENDBAREN GESETZEN, REGELN, VORSCHRIFTEN UND ANDEREN VEREINBARUNGEN. DIESE BESCHRÄNKUNG GILT UNABHÄNGIG VON DER RECHTLICHEN THEORIE ODER FORM DER HANDLUNG.

IN KEINEM FALL ÜBERSTEIGT UNSERE GESAMTHAFTUNG, DIE SICH AUS DIESER VEREINBARUNG UND IHRER NUTZUNG DES DIENSTES ERGIBT, EINHUNDERT DOLLAR ($100,00).

DIE HAFTUNGSBESCHRÄNKUNGEN OBEN SIND GRUNDLEGEND FÜR DIE GRUNDLAGE DER VEREINBARUNG ZWISCHEN IHNEN UND UNS.

IN EINIGEN GERICHTSBARKEITEN IST DER AUSSCHLUSS ODER DIE BESCHRÄNKUNG DER HAFTUNG FÜR BESTIMMTE ARTEN VON SCHÄDEN ODER KLAGEGRÜNDEN NICHT ZULÄSSIG, SO DASS DIE OBEN GENANNTE BESCHRÄNKUNG AUF SIE NICHT ANWENDBAR SEIN KANN.

Freistellung

Im Falle, dass eine dritte Partei eine Klage gegen uns im Zusammenhang mit Ihren Handlungen, Inhalten, Informationen oder einer anderen Nutzung des Dienstes durch Sie erhebt, erklären Sie sich damit einverstanden, uns und unsere Vertreter von jeglichen und allen Ansprüchen Dritter, einschließlich Verletzungen der Privatsphäre, Verlusten, Haftung, Schäden und/oder Kosten (einschließlich angemessener Anwaltsgebühren und -kosten) freizustellen und schadlos zu halten.

Änderungen dieser Bedingungen

Wir behalten uns das Recht vor, diese Bedingungen von Zeit zu Zeit nach eigenem Ermessen zu ändern oder zu aktualisieren. Wenn wir diese Bedingungen ändern, werden wir die "zuletzt aktualisiert"-Datum am Anfang dieser Bedingungen ändern. Durch Ihre fortgesetzte Nutzung des Dienstes nach Veröffentlichung solcher Änderungen erklären Sie sich mit den geänderten Bedingungen einverstanden. Wenn Sie den geänderten Bedingungen nicht zustimmen, müssen Sie die Nutzung des Dienstes einstellen.

Allgemeine Bestimmungen

Diese Bedingungen stellen die gesamte Vereinbarung zwischen Ihnen und Databag dar und ersetzen alle vorherigen Vereinbarungen, Vereinbarungen oder Zusagen zwischen Ihnen und Databag. Sie können diese Bedingungen nicht ohne unsere vorherige schriftliche Zustimmung übertragen oder abtreten. Wir können diese Bedingungen ohne Ihre Zustimmung übertragen oder abtreten.

Die Nichteinhaltung oder Versäumnis von Databag, eines Rechts oder einer Bestimmung dieser Bedingungen auszuüben oder durchzusetzen, stellt keinen Verzicht auf dieses Recht oder diese Bestimmung dar. Sollte eine Bestimmung dieser Bedingungen von einem zuständigen Gericht für ungültig erklärt werden, bleiben die übrigen Bestimmungen dieser Bedingungen in vollem Umfang in Kraft und wirksam.

Diese Bedingungen und Ihre Nutzung des Dienstes unterliegen dem Recht des Bundesstaates Kalifornien, USA, unter Ausschluss seiner kollisionsrechtlichen Bestimmungen. Die Zuständigkeit für Streitigkeiten, die sich aus oder im Zusammenhang mit diesen Bedingungen oder Ihrer Nutzung des Dienstes ergeben, liegt bei den Bundes- und Landesgerichten in San Francisco, Kalifornien, USA.

Kontaktinformationen

Falls Sie Fragen zu diesen Bedingungen oder zum Dienst haben, können Sie uns über die folgende E-Mail-Adresse kontaktieren: support@databag.com.

Wir freuen uns, Sie als Teil der Databag-Community begrüßen zu dürfen, und wir hoffen, dass Sie unsere Dienste genießen.
`,
  pt: 
`Agradeço por se juntar à comunidade Databag! Estes Termos de Serviço (os "Termos") abrangem seus direitos e obrigações relacionados ao seu acesso e uso dos serviços da Databag, incluindo, mas não se limitando ao Databag (coletivamente, o "Serviço"). Todas as referências a "você", "seu" ou "usuário" se referem ao usuário do Serviço. Além destes Termos, por favor, reveja a Política de Privacidade da Databag, que descreve nossas práticas relacionadas à coleta e uso de suas informações. Estes Termos se aplicam também à nossa Política de Privacidade. Ao usar o Serviço, você declara e concorda que leu, entende e concorda em cumprir tanto estes Termos quanto nossa Política de Privacidade como acordos vinculativos. Além disso, você concorda que estes Termos e nossa Política de Privacidade se aplicam ao seu uso anterior, se houver.

POR FAVOR, LEIA CUIDADOSAMENTE ESTES TERMOS, POIS CONTÊM INFORMAÇÕES IMPORTANTES SOBRE SEUS DIREITOS E RESPONSABILIDADES, INCLUINDO A LIMITAÇÃO DE NOSSA RESPONSABILIDADE. SE VOCÊ NÃO ACEITAR ESTE ACORDO EM SUA TOTALIDADE, NÃO PODERÁ ACESSAR OU UTILIZAR O SERVIÇO.

Não hesite em entrar em contato conosco em github.com/balzack/databag/discussions se tiver alguma dúvida ou quiser discutir qualquer um desses documentos importantes.

Nossa missão é criar um novo ecossistema que proteja nossos dados e identidades digitais, promova os direitos de privacidade e incentive a inovação e a concorrência tecnológica. A Databag não vende anúncios nem seus dados pessoais para ninguém. Você compartilha apenas com as pessoas e aplicativos que escolher. Somos financiados por usuários como você, por meio de doações, apoio financeiro de nossa comunidade de aplicativos e outros tipos de suporte, como bolsas e serviços em espécie. Em vez de pagar pelo uso de nossos serviços, você concorda em ser um membro responsável de nossa comunidade, seguindo todas as nossas políticas, incluindo nossos Padrões da Comunidade, e nos apoiando em nossa missão.

Política de Idade; Usuários Permitidos

Não pretendemos que o Serviço seja usado por pessoas com menos de 13 anos de idade. Se soubermos ou tivermos motivo para suspeitar que um usuário tem menos de 13 anos, excluiremos prontamente as informações de identificação pessoal dessa pessoa e impediremos que ela utilize nosso Serviço. Além disso, você declara e garante que seu uso do Serviço não entrará em conflito com nenhuma obrigação pré-existente de forma contrária ou inconsistente com as disposições destes Termos.

Visão Geral do Serviço; Sua Identidade Digital

Para acessar o Serviço, você precisará criar uma conta (a "Conta").

Você compreende que, para usar o Serviço, deve consentir que a Databag (1) hospede sua Identidade Digital na Databag, (2) faça backup de sua Identidade Digital em servidores seguros de terceiros (como AWS) e (3) transmita sua Identidade Digital para outros usuários conforme você solicitar. Você também pode hospedar e fazer backup de sua Identidade Digital por conta própria, caso em que não temos acesso ou permissão para sua Identidade Digital. Para usuários que optarem por serem listados no Diretório de Usuários, a Databag manterá uma cópia digital de sua imagem de perfil, nome, nome de usuário, localização e descrição (dependendo do que você escolher incluir) em um registro separado que permitirá que outros usuários o encontrem.

Você é o único responsável por manter suas informações de conta, incluindo senha, em segurança. Você não pode usar a conta de outro usuário. Se tomar conhecimento de qualquer uso não autorizado de sua conta, deverá nos notificar prontamente sobre esse uso. Você concorda que não seremos responsáveis por qualquer perda ou dano que você sofra se outra pessoa usar sua conta ou senha, com ou sem seu conhecimento, e que você será o único responsável por tal uso, autorizado ou não.

Padrões da Comunidade

Seu uso de nossos Serviços deve estar em conformidade não apenas com estes Termos e nossa Política de Privacidade, mas também com nossos Padrões da Comunidade. A Databag pode revisar sua conduta e conteúdo em relação ao cumprimento destes Termos e nossos Padrões da Comunidade.

Nossa Propriedade Intelectual

O software, incluindo todos os arquivos e imagens contidos no Serviço, e os dados correspondentes, bem como todos os dados fornecidos pelos usuários e/ou coletados por nós por meio do Serviço (coletivamente, "Nossa PI") são propriedade da Databag ou são usados com permissão de terceiros. Como parte destes Termos, concedemos a você uma licença não exclusiva, não transferível e revogável para usar Nossa PI exclusivamente para os fins para os quais ela se destina.

Licenças de software de código aberto para componentes dos Serviços lançados sob uma licença de código aberto constituem acordos escritos separados. Na medida em que as licenças de software de código aberto substituam expressamente estes Termos de Serviço, as licenças de código aberto regerão sua relação com a Databag para o uso dos componentes dos Serviços lançados sob uma licença de código aberto.

Identidade Digital da Databag

A Databag e seus Serviços são protegidos por direitos autorais, marcas registradas e outras leis dos EUA e estrangeiras. Estes Termos não concedem a você qualquer direito, título ou interesse nos Serviços, no conteúdo de outros usuários nos Serviços, nas marcas registradas da Databag, logotipos e outras características da marca. Agradecemos pelo feedback sobre a Databag e nossos Serviços, e agradecemos por seu envolvimento entusiasmado em nossa comunidade.

Informações Disponibilizadas a Você

Como parte do Serviço, podemos fornecer a você várias informações para auxiliar no uso do Serviço. Nossa intenção ao fazer isso é ser útil e tornar o Serviço mais útil para você. No entanto, você concorda que todas as informações e sugestões fornecidas a você por meio do Serviço são estritamente para fins informativos e não devem ser interpretadas ou utilizadas de forma alguma. Você concorda que, na máxima extensão permitida por lei, e conforme detalhado abaixo na seção "Limitação de Responsabilidade" destes Termos, não incorreremos em qualquer responsabilidade no caso de sua dependência de qualquer informação fornecida por nós resultar em dano ou prejuízo a você ou à sua propriedade.

Informações Fornecidas por Você

Como parte fundamental da funcionalidade do Serviço, você pode fornecer informações sobre si mesmo ao usar o Serviço. Ao fornecer essas informações e conteúdo, você nos concede o direito de usar as informações e conteúdo para qualquer finalidade que contribua para a prestação do Serviço, conforme descrito nestes Termos e em nossa Política de Privacidade. Embora não afirmemos ser proprietários de tais informações e conteúdo fornecidos por você, você concorda que temos o direito de usar essas informações e conteúdo para aprimorar o Serviço. Além disso, ao fornecer informações e conteúdo por meio do Serviço, você declara e garante que é proprietário ou possui plena autoridade legal para distribuir todas as informações fornecidas por meio do Serviço.

Além disso, você não deve contar com o Serviço como meio para armazenar seus dados ou informações, e não assumimos nenhuma responsabilidade por tais atividades.

Conteúdo Proibido, Ilegal e Inadequado

Como parte da funcionalidade do Serviço, você pode fornecer informações sobre você. Você concorda em não postar ou disponibilizar qualquer conteúdo inadequado no Serviço, incluindo, mas não se limitando a, conteúdo difamatório, obsceno, pornográfico, abusivo ou ameaçador; conteúdo que advoga ou incentiva condutas que possam constituir uma infração penal, dar origem a responsabilidade civil ou de outra forma violar qualquer lei ou regulamento local, estadual, nacional ou estrangeiro aplicável; conteúdo que é enganoso ou não verdadeiro; ou conteúdo que anuncia ou solicita fundos para bens ou serviços. Se você postar conteúdo proibido, ilegal ou inadequado, poderemos remover tal conteúdo de nossos servidores, e podemos suspender ou encerrar sua conta. Reservamos o direito de investigar e buscar remédios aplicáveis para violações da lei em toda a extensão da lei.

Uso de Propriedade Intelectual de Terceiros

Embora você possa fornecer informações e conteúdo à Databag como parte de seu uso do Serviço, você concorda em respeitar os direitos de propriedade intelectual de terceiros. Você não pode fazer upload, transmitir ou distribuir informações ou conteúdo de maneira que viole as leis de propriedade intelectual ou os direitos proprietários de terceiros. Se você não respeitar os direitos de propriedade intelectual ou os direitos de propriedade de terceiros, será o único responsável por quaisquer violações da lei. Além disso, você é o único responsável por violações dos direitos de terceiros causadas por qualquer informação gerada a partir de sua conta.

Lei de Direitos Autorais do Milênio Digital

Nosso Serviço está integrado a serviços fornecidos por terceiros como parte da funcionalidade do Serviço. Não temos controle sobre terceiros e não fazemos garantias sobre as informações ou serviços fornecidos por terceiros.

Além disso, podemos fornecer links para sites e empresas de terceiros. Você reconhece e concorda que não somos responsáveis pela precisão, conteúdo ou funcionalidade dos serviços fornecidos por terceiros. Não endossamos nem assumimos qualquer responsabilidade relacionada ao seu uso desses sites ou empresas de forma alguma.

Encerramento de Conta

Você tem total liberdade para parar de usar nossos Serviços a qualquer momento. Você pode excluir sua conta e sua Identidade Digital salva pela Databag. Se o fizer, seus dados serão apagados permanentemente.

Reservamos o direito de suspender ou encerrar sua Conta, ou tomar outras medidas para limitar ou impedir seu acesso ao nosso Serviço, se considerarmos, a nosso exclusivo critério, que tal ação é necessária com base em: seu uso do Serviço de maneira que possa nos expor potencialmente à responsabilidade; interrupção do Serviço por você a outras pessoas; sua violação destes Termos ou de nossa Política de Privacidade; sua violação de quaisquer leis, regras, regulamentos e acordos aplicáveis que possam se aplicar a você.

Podemos, mas não somos obrigados a, fornecer a você um aviso razoável com antecedência via Conta ou aplicativo Databag para remediar a atividade que nos levou a entrar em contato com você e dar a você a oportunidade de exportar sua Identidade Digital de nossos Serviços.

Uso Adequado dos Serviços

Você não deve violar ou tentar violar nenhuma característica de segurança do Serviço, incluindo, sem limitação, (a) acessar conteúdo ou dados que não se destinam a você ou fazer login em um servidor ou conta para a qual você não está autorizado a acessar; (b) tentar sondar, escanear ou testar a vulnerabilidade do Serviço ou de qualquer sistema ou rede associada, ou violar medidas de segurança ou autenticação sem a devida autorização; (c) interferir ou tentar interferir no serviço a qualquer usuário, host ou rede, incluindo, sem limitação, por meio do envio de um vírus para o Serviço, sobrecarregando, "inundando", "spamming", "enviando e-mails em massa", "crashando" ou realizando atividades similares; e (d) forjar qualquer cabeçalho de pacote TCP/IP ou qualquer parte da informação de cabeçalho em qualquer e-mail ou postagem usando o Serviço.

ASSUNÇÃO DE RISCOS

A DATABAG NÃO FAZ REPRESENTAÇÕES OU GARANTIAS DE QUALQUER TIPO, EXPRESSAS OU IMPLÍCITAS (VER ABAIXO), QUANTO AO CONTEÚDO OU FUNCIONAMENTO DO SERVIÇO. VOCÊ CONCORDA EXPRESSAMENTE QUE O SEU USO DO SERVIÇO É POR SUA CONTA E RISCO EXCLUSIVOS.

ISENÇÃO DE GARANTIAS; "COMO ESTÁ"

ESTAMOS DISPONIBILIZANDO O SERVIÇO "COMO ESTÁ" E, NA MÁXIMA EXTENSÃO PERMITIDA PELA LEI, ISENTAMOS EXPRESSAMENTE TODAS E QUAISQUER GARANTIAS, EXPRESSAS OU IMPLÍCITAS, EM RELAÇÃO AO SERVIÇO, INCLUINDO, MAS NÃO SE LIMITANDO A, QUAISQUER GARANTIAS IMPLÍCITAS DE COMERCIALIZAÇÃO, ADEQUAÇÃO A UM PROPÓSITO ESPECÍFICO OU NÃO VIOLAÇÃO. VOCÊ ASSUME O RISCO DE QUALQUER E TODO DANO OU PERDA DECORRENTE DO USO, OU INCAPACIDADE DE USAR, O SERVIÇO. NÃO GARANTIMOS QUE A OPERAÇÃO DO SERVIÇO SERÁ ININTERRUPTA OU ISENTA DE ERROS.

LIMITAÇÃO DE RESPONSABILIDADE

NA MÁXIMA EXTENSÃO PERMITIDA PELA LEI, NÃO SEREMOS RESPONSÁVEIS POR DANOS DE QUALQUER TIPO (INCLUINDO, MAS NÃO SE LIMITANDO A, DANOS ESPECIAIS, INCIDENTAIS OU CONSEQUENTES, LUCROS CESSANTES OU PERDA DE DADOS, INDEPENDENTEMENTE DA PREVISIBILIDADE DESSES DANOS) DECORRENTES DE OU EM CONEXÃO COM O SEU USO DO SERVIÇO, INCLUINDO, MAS NÃO SE LIMITANDO A, DANOS DECORRENTES OU RELACIONADOS A QUALQUER DOS SEGUINTES MOTIVOS: QUALQUER REIVINDICAÇÃO RELACIONADA A LESÕES PESSOAIS OU CORPORAIS EM CONEXÃO COM O USO DO SERVIÇO; QUALQUER DANO OU PREJUÍZO CAUSADO, OU DE OUTRA FORMA RELACIONADO A, SUA CONFIANÇA EM INFORMAÇÕES FORNECIDAS ATRAVÉS DO SERVIÇO; QUALQUER PERDA OU DIVULGAÇÃO NÃO AUTORIZADA DE DADOS; QUALQUER DANO OU PREJUÍZO CAUSADO, OU DE OUTRA FORMA RELACIONADO A, SEU USO OU INTERAÇÃO COM QUAISQUER SERVIÇOS OFERECIDOS ATRAVÉS DO SERVIÇO; E QUALQUER VIOLAÇÕES DE LEIS APLICÁVEIS, REGRAS, REGULAMENTOS E OUTROS ACORDOS. ESSA LIMITAÇÃO SE APLICARÁ INDEPENDENTEMENTE DA TEORIA JURÍDICA OU FORMA DE AÇÃO.

EM NENHUM CASO NOSSA RESPONSABILIDADE AGREGADA DECORRENTE OU EM CONEXÃO COM ESTES TERMOS E SEU USO DO SERVIÇO EXCEDERÁ CEM DÓLARES (US$100,00).

AS LIMITAÇÕES DE DANOS ESTABELECIDAS ACIMA SÃO ELEMENTOS FUNDAMENTAIS DA BASE DO ACORDO ENTRE VOCÊ E NÓS.

ALGUMAS JURISDIÇÕES NÃO PERMITEM A EXCLUSÃO OU LIMITAÇÃO DE RESPONSABILIDADE POR CERTOS TIPOS DE DANOS OU CAUSAS DE AÇÃO, PORTANTO, A LIMITAÇÃO ACIMA PODE NÃO SE APLICAR A VOCÊ.

Indenização

No caso de terceiros apresentarem uma reclamação contra nós relacionada às suas ações, conteúdo, informações ou qualquer outro uso do Serviço por você, você concorda em nos indenizar, defender e nos isentar de todas e quaisquer reclamações de terceiros, incluindo violações de privacidade, perdas, responsabilidade, danos e/ou custos (incluindo honorários advocatícios razoáveis e custos) relacionados a essa reclamação. Vamos notificá-lo prontamente de tal reclamação e fornecer assistência razoável, a seu custo, na defesa de tal reclamação, desde que a nossa omissão de notificá-lo não o libere de suas obrigações de indenização, mas sim reduza essas obrigações pelo valor dos danos ou custos e despesas adicionais atribuíveis à nossa omissão de notificar. Reservamo-nos o direito de aprovar o advogado por você contratado, de assumir o controle da defesa (à nossa custa) de qualquer reclamação que exija indenização e de participar da defesa de qualquer reclamação (à nossa custa) que exija indenização. Você não pode resolver qualquer reclamação sem o nosso consentimento prévio.

Resolução de Disputas

Temos a missão de construir um sistema melhor para todos nós, então vamos tentar resolver as coisas primeiro! Queremos tratar das suas preocupações sem a necessidade de um processo legal formal. Antes de apresentar uma reclamação contra a Databag, você concorda em tentar resolver a disputa informalmente entrando em contato com github.com/balzack/databag/discussions. Tentaremos resolver a disputa informalmente entrando em contato com você por e-mail. Se uma disputa não for resolvida dentro de 15 dias após a submissão, ambos concordamos em tentar de boa fé resolver a disputa por meio de mediação administrada pela JAMS, que ocorrerá no condado de São Francisco, Califórnia, e cujos custos serão divididos igualmente entre você e a Databag. Em terceiro lugar, se a disputa não for resolvida por meio de resolução informal e mediação, qualquer parte poderá prosseguir com uma ação judicial, que ocorrerá no condado de São Francisco, Califórnia. Ambas as partes consentem com a jurisdição pessoal e o local.

Você ou nós podemos apresentar uma ação judicial exclusivamente para obter uma medida cautelar sem primeiro se submeter ao processo de resolução de disputas acima. Você pode apresentar uma ação judicial somente em seu local de residência ou em San Francisco, Califórnia. Os tribunais em alguns países podem não aplicar a lei da Califórnia a alguns tipos de disputas. Se você reside em um desses países, as leis do seu país podem se aplicar a algumas disputas relacionadas a estes Termos. Em tal caso, você concorda que esses tribunais em San Francisco, Califórnia, terão jurisdição exclusiva sobre todas as disputas relacionadas a estes Termos.

Lei Aplicável

Estes Termos são regidos pelas leis da Califórnia, exceto suas regras de conflito de leis.

Disposições Gerais

Estes Termos contêm o acordo completo entre você e nós a respeito do objeto deste Contrato e substituem todos os acordos e entendimentos anteriores entre você e nós, sejam escritos ou orais, a respeito deste objeto. Estes Termos não podem ser modificados, exceto por escrito, por meio de um contrato assinado por um funcionário autorizado da Databag. Se qualquer disposição destes Termos for considerada inválida ou inexequível, tal disposição será anulada, e o restante destes Termos permanecerá em pleno vigor e efeito. A incapacidade da Databag de exercer ou fazer valer qualquer direito ou disposição destes Termos não constituirá uma renúncia a tal direito ou disposição. Você concorda que sua conta é não transferível e todas as suas direitos à sua conta e aos dados armazenados em sua conta (se houver) cessarão após sua morte. Não obstante qualquer disposição contrária nestes Termos, os termos de indenização acima estabelecidos e qualquer disposição relacionada à nossa propriedade intelectual, dados de usuários e funcionalidade do serviço, sobreviverão a qualquer rescisão ou encerramento deste Contrato.

Como entrar em contato conosco

Você pode entrar em contato conosco através do e-mail support@databag.io ou escrevendo para:

Databag, Inc.
Attn: Legal Department
San Francisco, CA 94107

Direitos autorais e Marcas Registradas

Todos os direitos autorais, marcas registradas, marcas de serviço e outros direitos de propriedade intelectual no Serviço são de propriedade da Databag ou de seus licenciadores. Nenhum direito ou licença de uso é concedido a você por meio destes Termos, exceto o direito limitado de usar o Serviço de acordo com estes Termos. Todas as marcas registradas, marcas de serviço e logotipos usados no Serviço são de propriedade de seus respectivos proprietários e não podem ser usados de nenhuma maneira que possa causar confusão entre os usuários ou que possa desacreditar ou desacreditar seus proprietários.

Atualizações e Alterações

Estes Termos podem ser atualizados e alterados ocasionalmente para refletir mudanças em nossos Serviços ou para garantir a conformidade com as leis e regulamentos aplicáveis. Quaisquer alterações substanciais a estes Termos serão notificadas a você com antecedência por meio de um aviso no Serviço ou por meio de outras comunicações diretas. O uso continuado do Serviço após a entrada em vigor das alterações a estes Termos constituirá sua concordância com os termos revisados. Recomendamos que você reveja periodicamente estes Termos para se manter informado sobre nossas práticas e obrigações.

Encerramento do Serviço

Reservamos o direito de encerrar ou descontinuar o Serviço, ou qualquer parte dele, a qualquer momento, com ou sem motivo e sem aviso prévio. Nenhuma responsabilidade será imposta a nós em virtude de tal encerramento. Se você desejar encerrar sua conta, poderá fazê-lo a qualquer momento seguindo as instruções disponíveis no Serviço. Todos os direitos concedidos a você sob estes Termos cessarão imediatamente após o encerramento do Serviço, independentemente de o encerramento ser voluntário ou não.

Estes Termos foram atualizados pela última vez em 4 de outubro de 2023.

Lembre-se de que esses termos podem mudar com o tempo e variar dependendo do serviço específico que você está usando. Certifique-se de ler e entender os termos de serviço antes de concordar com eles ou usar qualquer serviço online. Se você tiver alguma dúvida ou preocupação, é sempre aconselhável entrar em contato com o serviço em questão para obter esclarecimentos adicionais.
`,
  ru: `
Спасибо за присоединение к сообществу Databag! Эти Условия обслуживания (далее - "Условия") охватывают ваши права и обязанности, связанные с вашим доступом и использованием услуг Databag, включая, но не ограничиваясь, Databag (далее - "Сервис"). Все ссылки на "вы", "ваш" или "пользователь" относятся к пользователю Сервиса. Помимо этих Условий, ознакомьтесь с Политикой конфиденциальности Databag, которая описывает наши практики в отношении сбора и использования ваших данных. Эти Условия также распространяются на нашу Политику конфиденциальности. Используя Сервис, вы представляете и соглашаетесь, что прочитали, понимаете и соглашаетесь быть связанными как этими Условиями, так и нашей Политикой конфиденциальности как обязательными соглашениями. Кроме того, вы соглашаетесь, что эти Условия и наша Политика конфиденциальности применяются к вашему прошлому использованию, если таковое имело место быть.

ПРОЧИТАЙТЕ ЭТИ УСЛОВИЯ ВНИМАТЕЛЬНО, ТАК КАК В НИХ СОДЕРЖАТСЯ ВАЖНЫЕ СВЕДЕНИЯ О ВАШИХ ПРАВАХ И ОБЯЗАННОСТЯХ, ВКЛЮЧАЯ ОГРАНИЧЕНИЕ НАШЕЙ ОТВЕТСТВЕННОСТИ. ЕСЛИ ВЫ НЕ ПРИНИМАЕТЕ ЭТО СОГЛАШЕНИЕ В ПОЛНОМ ОБЪЕМЕ, ВЫ НЕ МОЖЕТЕ ДОСТУПАТЬСЯ ИЛИ ИСПОЛЬЗОВАТЬ СЕРВИС.

Не стесняйтесь связаться с нами по адресу github.com/balzack/databag/discussions, если у вас есть какие-либо вопросы или вы хотите обсудить любой из этих важных документов.

Наша миссия - создать новую экосистему, которая обеспечит безопасность наших данных и цифровых идентификаторов, укрепит права на конфиденциальность и способствует инновациям и конкуренции в сфере технологий. Databag не продает рекламу и персональные данные никому. Вы делитесь ими только с теми людьми и приложениями, которых сами выбираете. Мы финансируемся пользователями, подобными вам, через пожертвования, финансовую поддержку от нашего сообщества приложений и другую поддержку, такую как гранты и услуги в натуре. Вместо платы за использование наших услуг вы соглашаетесь быть ответственным членом нашего сообщества, следуя всем нашим политикам, включая наши Стандарты сообщества, и поддерживать нас в нашей миссии.

Политика возраста; Пользователи, допущенные к использованию

Мы не предполагаем использование Сервиса лицами младше 13 лет. Если мы узнаем или у нас будут основания подозревать, что пользователь младше 13 лет, мы немедленно удалим личную информацию этого пользователя и предотвратим использование нашего Сервиса таким пользователем. Кроме того, вы заявляете и гарантируете, что ваше использование Сервиса не будет конфликтовать с каким-либо предварительным обязательством, конфликтным или в каком-либо другом отношении несовместимым с положениями настоящих Условий.

Обзор Сервиса; Ваша цифровая идентичность

Для доступа к Сервису вам потребуется создать учетную запись (далее - "Учетная запись").

Вы понимаете, что для использования Сервиса вам необходимо дать согласие на то, что Databag (1) будет хранить вашу цифровую идентичность на серверах Databag, (2) создаст резервную копию вашей цифровой идентичности на безопасных сторонних серверах (например, AWS) и (3) передаст вашу цифровую идентичность другим пользователям по вашей просьбе. Вы также можете сами хранить и создавать резервные копии вашей цифровой идентичности, в этом случае у нас не будет доступа или разрешения на вашу цифровую идентичность. Для пользователей, выбравшихся в Каталоге пользователей, Databag сохранит цифровую копию вашего изображения профиля, имени, имени пользователя, местоположения и описания (в зависимости от того, что вы решите включить) в отдельном реестре, позволяющем другим пользователям находить вас.

Вы несете полную ответственность за сохранность информации вашей учетной записи, включая пароль. Вы не можете использовать учетную запись другого пользователя. Если вы узнаете о несанкционированном использовании вашей учетной записи, вы обязаны немедленно уведомить нас о таком использовании. Вы соглашаетесь, что мы не несем ответственности за любые убытки или вред, которые вы понесете, если кто-то другой использует вашу учетную запись или пароль, будь то с вашего разрешения или без него, и что вы будете нести полную ответственность за такое использование, независимо от того, разрешали ли вы его.

Стандарты сообщества

Ваше использование наших Услуг должно соответствовать не только этим Условиям и нашей Политике конфиденциальности, но и нашим Стандартам сообщества. Databag может проверять ваше поведение и контент на предмет соблюдения этих Условий и Стандартов сообщества.

Наши интеллектуальные права

Программное обеспечение, включая все файлы и изображения, содержащиеся в Сервисе, и сопроводительные данные, а также все данные, предоставляемые пользователями и/или собранные нами через Сервис (далее - "Наши интеллектуальные права") являются собственностью Databag или используются с разрешения третьих лиц. В рамках этих Условий мы предоставляем вам неисключительную, непередаваемую и отзывчивую лицензию на использование Наших интеллектуальных прав исключительно в целях, для которых они предназначены.

Лицензии на программное обеспечение с открытым исходным кодом для компонентов Сервисов, выпущенных под лицензией с открытым исходным кодом, являются отдельными письменными соглашениями. Насколько эти лицензии на программное обеспечение с открытым исходным кодом явно заменяют настоящие Условия обслуживания, лицензии на программное обеспечение с открытым исходным кодом урегулируют ваше соглашение с Databag по использованию компонентов Сервисов, выпущенных под лицензией с открытым исходным кодом.

Цифровая идентичность Databag

Databag и его Услуги защищены авторским правом, торговой маркой и другими законами США и иностранными законами. Настоящие Условия не предоставляют вам никаких прав, права собственности или интересов в отношении Услуг, контента других пользователей в Услугах, товарных знаков Databag, логотипов и других элементов бренда. Мы приветствуем обратную связь о Databag и наших Услугах, и благодарим вас за вашу активную деятельность в нашем сообществе.

Информация, предоставляемая вам

Как часть Сервиса, мы можем предоставить вам различную информацию в целях дальнейшего использования Сервиса. Нашей целью является предоставление полезной информации и советов, чтобы сделать Сервис более полезным для вас. Тем не менее, вы соглашаетесь, что вся информация и рекомендации, которые мы предоставляем вам через Сервис, строго предназначены только для информационных целей и не должны толковаться или полагаться нами каким-либо образом. Вы соглашаетесь, что, в полной мере допустимой законом, как подробно описано ниже в разделе "Ограничение ответственности", мы не несем никакой ответственности в случае, если ваше доверие к любой предоставленной нами информации приводит к ущербу вам или вашей собственности.

Информация, которую вы предоставляете нам

Как одна из основных функций функциональности Сервиса, вы можете предоставить нам информацию о себе через использование Сервиса. Предоставляя эту информацию и контент, вы предоставляете нам право использовать эту информацию и контент для любых целей, связанных с предоставлением Сервиса, как описано в настоящих Условиях и нашей Политике конфиденциальности. Несмотря на то, что мы не заявляем права на собственность над информацией и контентом, который вы предоставляете, вы соглашаетесь, что у нас есть право использовать такую информацию и контент для целей, связанных с предоставлением Сервиса. Кроме того, предоставляя нам информацию и контент через Сервис, вы представляете и гарантируете, что вы владеете или обладаете полной юридической полномочией на распространение всей предоставленной вами информации через Сервис.

Кроме того, Сервис не должен рассматриваться как средство хранения ваших данных или информации, и мы не несем никакой ответственности за такие действия.

Запрещенный, незаконный и неуместный контент

Как часть функциональности Сервиса, вы можете предоставить нам информацию о вас. Вы соглашаетесь не размещать или делать доступным незаконный контент на Сервисе, включая, но не ограничиваясь, клеветнический, диффамационный, непристойный, порнографический, оскорбительный или угрожающий контент; контент, призывающий или поощряющий поведение, которое может составить уголовное преступление, повлечь за собой гражданскую ответственность или иным образом нарушить применимое местное, штатное, национальное или иностранное законодательство или регулирование; контент, который вводит в заблуждение или не является правдивым; или рекламу или иное обращение за средства для товаров или услуг. Если вы размещаете запрещенный, незаконный или неуместный контент, мы можем удалить такой контент с наших серверов, и мы можем приостановить или прекратить вашу учетную запись, а также оставляем за собой право провести расследование и искать применимые меры в отношении нарушений применимого закона в полной мере закона.

Ваше использование интеллектуальной собственности других

Несмотря на то, что вы можете предоставлять информацию и контент Databag в рамках использования Сервиса, вы соглашаетесь уважать интеллектуальные права других. Вы не можете загружать, передавать или иным образом распространять информацию или контент, нарушающий законы об интеллектуальной собственности или исключительные права третьих лиц. Если вы не уважаете интеллектуальную собственность или исключительные права третьих лиц, вы несете полную ответственность за нарушение закона третьими лицами. Кроме того, вы несете полную ответственность за нарушение прав третьих лиц, вызванное информацией, созданной с вашей учетной записи.

Закон о цифровых миллениумах по авторскому праву

Наш Сервис интегрирован с услугами, предоставляемыми третьими сторонами как часть функциональности Сервиса. Мы не контролируем третьих сторон и не даем никаких гарантий относительно информации или услуг, предоставляемых третьими сторонами. Кроме того, мы можем предоставлять ссылки на веб-сайты и бизнес третьих сторон. Вы признаете и соглашаетесь, что мы не несем ответственности за точность, содержание или функциональность услуг, предоставляемых на или третьими сторонами, и что мы не одобряем и не несем никакой ответственности по использованию таких веб-сайтов или бизнесах никаким образом.

Прекращение учетной записи

Вы вольны прекратить использование наших Услуг в любое время. Вы можете удалить свою учетную запись и цифровую идентичность, сохраненную Databag. Если вы это сделаете, ваши данные исчезнут навсегда.

Мы оставляем за собой право приостановить или прекратить вашу учетную запись или принять другие меры для ограничения или предотвращения вашего доступа к нашему Сервису, если мы, по нашему собственному усмотрению, сочтем, что такие меры необходимы на основании: вашего использования Сервиса таким образом, который может потенциально подвергнуть нас ответственности; вашего нарушения настоящих Условий или нашей Политики конфиденциальности; вашего нарушения применимых законов, правил, регуляций и соглашений, которые могут применяться к Сервису, а также в случае нежелательного влияния на общее сообщество пользователей Сервиса.

Способ уведомления и рассмотрения жалоб

Если вы считаете, что контент, доступный через наш Сервис, нарушает ваши права интеллектуальной собственности или исключительные права третьих лиц, или иным образом нарушает наши Стандарты сообщества, вы можете отправить нам жалобу, связанную с таким контентом, в соответствии с нашими процедурами уведомления о нарушении и рассмотрения жалоб. Мы рассмотрим вашу жалобу и примем необходимые меры в соответствии с применимым законодательством.

Изменения в Условиях

Мы можем пересматривать и обновлять настоящие Условия в любое время. Если мы сделаем существенные изменения в наших Условиях, мы уведомим вас об этом путем отправки уведомления на нашем сайте, по адресу https://github.com/balzack/databag, или путем отправки вам уведомления по электронной почте (на адрес, указанный в вашей учетной записи). Если вы не согласны с существенными изменениями, вам следует прекратить использование наших Услуг. В противном случае ваше продолжение использования наших Услуг после уведомления о таких изменениях означает ваше согласие с такими изменениями.

Ограничение ответственности

ИСПОЛЬЗУЯ НАШИ УСЛУГИ, ВЫ СОГЛАШАЕТЕСЬ, ЧТО DATABAG И ЕГО ПАРТНЕРЫ НЕ НЕСУТ НИКАКОЙ ОТВЕТСТВЕННОСТИ ПЕРЕД ВАМИ ЗА УБЫТКИ, ВКЛЮЧАЯ УБЫТКИ ПРЯМЫЕ, КОСВЕННЫЕ, СЛУЧАЙНЫЕ, ОСОБЕННЫЕ, СЛЕДСТВИЯ ИЛИ КАКИЕ-ЛИБО ДРУГИЕ УБЫТКИ, ВКЛЮЧАЯ УБЫТКИ, ПОНЕСЕННЫЕ В РЕЗУЛЬТАТЕ УПУЩЕННЫХ ВЫГОД, УПУЩЕННЫХ ВЫГОД ИЗ-ЗА УТРАТЫ ДАННЫХ, УБЫТКИ, ПОНЕСЕННЫЕ В РЕЗУЛЬТАТЕ УТЕЧКИ ЛИЧНОЙ ИНФОРМАЦИИ ИЛИ УБЫТКИ, ПОНЕСЕННЫЕ В РЕЗУЛЬТАТЕ УТРАТЫ ДОСТУПА К СЕРВИСУ. ВАШЕ ЕДИНСТВЕННОЕ ИСКЛЮЧИТЕЛЬНОЕ СРЕДСТВО В СЛУЧАЕ НЕУДОВЛЕТВОРЕННОСТИ НАШИМИ УСЛУГАМИ ИЛИ КАКИМИ-ЛИБО ДРУГИМИ ПРЕТЕНЗИЯМИ ПО ОТНОШЕНИЮ К СЕРВИСУ - ЭТО ПРЕКРАЩЕНИЕ ИЛИ ОГРАНИЧЕНИЕ ИСПОЛЬЗОВАНИЯ НАШИХ УСЛУГ. ОГРАНИЧЕНИЯ И ОТКАЗ ОТ ОТВЕТСТВЕННОСТИ В НАСТОЯЩЕМ РАЗДЕЛЕ ПРИМЕНЯЮТСЯ НЕСМОТРЯ НА ЛЮБЫЕ НЕСОВЕРШЕННСТВА В СРЕДСТВАХ, ПОДАНИИ ИЛИ КАКИХ-ЛИБО ДРУГИХ ОБСТОЯТЕЛЬСТВАХ, КОТОРЫЕ МОГУТ ПРИВЕСТИ К НАРУШЕНИЮ СОГЛАШЕНИЯ ИЛИ УБЫТКАМ ВАМ.

Вы также соглашаетесь, что наши максимальные финансовые обязательства перед вами ограничены суммой, которую вы заплатили нам за использование наших Услуг, если таковая имеется.

Эти Условия регулируются и подчиняются законодательству США и штата Калифорния, несмотря на любые конфликты законов. Любые судебные действия или разбирательства, возникающие в результате или в связи с этими Условиями или Сервисом, будут иметь исключительное местоположение в федеральных или штатных судах, имеющих юрисдикцию над городом Сан-Франциско, штат Калифорния. Независимо от того, когда вы подаете свои заявления, вы соглашаетесь начать действия или разбирательства только в федеральных и штатных судах, имеющих юрисдикцию над городом Сан-Франциско, штат Калифорния.

НЕСМОТРЯ НА ЛЮБЫЕ ЗАКОНЫ, КОТОРЫЕ МОГУТ ПРИМЕНЯТЬСЯ, ЛЮБОЕ ДЕЛО, РАЗРЕШАЕМОЕ ПО ЭТИМ УСЛОВИЯМ, ДОЛЖНО БЫТЬ ПОДАНО НЕ ПОЗДНЕЕ 1 ГОДА ПОСЛЕ ВОЗНИКНОВЕНИЯ СООТВЕТСТВУЮЩЕГО ОБСТОЯТЕЛЬСТВА, В ПРОТИВНОМ СЛУЧАЕ ВАШИ ПРЕТЕНЗИИ ПРИЗНАЮТСЯ ПРЕСКРИБИРОВАННЫМИ.

Полное соглашение

Настоящие Условия представляют собой полное соглашение между вами и Databag относительно вашего использования наших Услуг и заменяют все предыдущие соглашения между вами и Databag относительно ваших Услуг.

Право на отказ от права

Наши упущения или задержки в праве действовать или не действовать по настоящим Условиям не являются отказом от наших прав по настоящим Условиям, если только мы не заключим письменное соглашение с вами иное.

Исполнение третьих лиц

Вы соглашаетесь, что в соответствии с настоящими Условиями ни одно третье лицо не будет иметь права на исполнение настоящих Условий.

Контакты

Если у вас есть вопросы или комментарии о Сервисе или настоящих Условиях, пожалуйста, свяжитесь с нами по адресу:

Databag, Inc.
123 Main Street
San Francisco, CA 94101

Или по адресу support@databag.com.

© 2022 Databag, Inc. Все права защищены.

Политика конфиденциальности

Последнее изменение: 1 апреля 2022 года

Databag, Inc. ("Databag", "мы", "наш" или "нас") рада приветствовать вас на нашем веб-сайте и в наших мобильных приложениях (совместно - "Сервис"). В Databag мы ценим вашу конфиденциальность и стремимся обеспечить вас прозрачной информацией о том, как мы собираем, используем, передаем и храним вашу информацию. Настоящая Политика конфиденциальности (далее - "Политика") объясняет, как мы обрабатываем вашу информацию, когда вы используете наш Сервис.

Пожалуйста, внимательно прочитайте нашу Политику и обратите внимание, что она составляет часть наших Условий обслуживания. Используя наш Сервис, вы соглашаетесь с нашей Политикой и Условиями обслуживания. Если вы не согласны с Политикой и Условиями обслуживания, пожалуйста, прекратите использовать наши Услуги.

    Какую информацию мы собираем

Мы можем собирать информацию, которую вы предоставляете нам, включая:

    Информацию о вашей учетной записи: когда вы регистрируетесь на нашем Сервисе, мы можем собирать ваше имя, адрес электронной почты и другие регистрационные данные, которые вы предоставляете нам.

    Информацию об использовании: мы можем автоматически собирать информацию о вашем взаимодействии с нашим Сервисом, включая ваш IP-адрес, тип браузера, операционную систему, сведения о местоположении, действия на Сервисе и даты и время ваших запросов.

    Информацию, предоставляемую пользователями: вы можете предоставить информацию на Сервисе в контентах, включая текст, изображения, видео и другой контент, который вы загружаете, публикуете, отправляете или иным образом делитесь на Сервисе.

    Информацию из социальных сетей: если вы связываете или авторизуетесь через свою учетную запись в социальной сети (например, Facebook, Google или Twitter), мы можем получать информацию о вас от таких социальных сетей, включая ваше имя, изображение профиля, адрес электронной почты и другие сведения, которые они могут предоставить нам в соответствии с их политиками конфиденциальности и вашими настройками конфиденциальности на соответствующей социальной сети.

    Как мы используем информацию

Мы можем использовать вашу информацию для следующих целей:

    Предоставление и улучшение Сервиса: мы используем вашу информацию для предоставления Сервиса, включая обработку транзакций, аутентификацию, разработку новых функций, обеспечение обслуживания клиентов и анализ использования Сервиса.

    Связь с вами: мы можем использовать вашу информацию для связи с вами, включая отправку вам электронных писем, уведомлений и другой информации, связанной с Сервисом, а также для целей маркетинга, рекламы и промоушена.

    Безопасность: мы можем использовать вашу информацию для обеспечения безопасности нашего Сервиса, включая мониторинг активности и применение мер безопасности.

    Соблюдение закона: мы можем использовать вашу информацию для соблюдения применимых законов, правил, регуляций, расследования нарушений и защиты прав, собственности или безопасности других пользователей или нашей компании.

    Как мы делимся информацией

Мы можем раскрывать вашу информацию следующим образом:

    С поставщиками услуг: мы можем делиться вашей информацией с третьими сторонами, которые оказывают нам услуги, такие как обработка платежей, хостинг, аналитика, обслуживание клиентов и другие аналогичные услуги.

    С партнерами: мы можем делиться вашей информацией с партнерами, с которыми мы сотрудничаем для предоставления определенных услуг, акций и мероприятий, которые могут вас заинтересовать.

    По юридическому запросу: мы можем раскрывать вашу информацию в ответ на юридический запрос, если мы уверены, что раскрытие такой информации требуется законом, правилами, регуляциями или решением суда.

    В связи с изменением контроля: если наша компания переходит под контроль или собирается продавать часть своих активов, мы можем раскрывать вашу информацию в связи с таким изменением контроля или продажей активов.

    С вашего разрешения: мы можем раскрывать вашу информацию в других случаях с вашего разрешения.

Мы можем также собирать и использовать анонимную, агрегированную информацию, которая не может быть использована для идентификации вас лично, но может быть использована для целей анализа данных и улучшения нашего Сервиса.

    Ваши выборы и права

Вы можете иметь различные права относительно вашей информации в соответствии с применимыми законами. Если вы хотите узнать больше о ваших правах и как ими воспользоваться, пожалуйста, свяжитесь с нами по адресу, указанному в разделе "Контакты" ниже.

    Защита информации

Мы предпринимаем меры безопасности для защиты вашей информации. Однако ни один метод передачи и хранения данных в Интернете не является абсолютно безопасным, и мы не можем гарантировать абсолютную безопасность вашей информации.

    Передача информации в международный уровень

Мы можем передавать вашу информацию за пределы вашей страны для обработки и хранения. При передаче вашей информации за пределы вашей страны мы будем придерживаться применимых законов и стандартов в отношении международной передачи данных.

    Ссылки на сторонние сайты

Наш Сервис может содержать ссылки на сторонние сайты, продукты и услуги, которые не принадлежат нам и не контролируются нами. Мы не несем ответственности за практики конфиденциальности или содержание таких сторонних ресурсов. Мы рекомендуем вам ознакомиться с политикой конфиденциальности каждого стороннего ресурса, который вы посещаете.

    Изменения в Политике

Мы можем пересматривать и обновлять нашу Политику в любое время. Если мы сделаем существенные изменения в нашей Политике, мы уведомим вас об этом путем отправки уведомления на нашем сайте или путем отправки вам уведомления по электронной почте (на адрес, указанный в вашей учетной записи). Если вы не согласны с существенными изменениями, вам следует прекратить использование наших Услуг. В противном случае ваше продолжение использования наших Услуг после уведомления о таких изменениях означает ваше согласие с такими изменениями.

    Контакты

Если у вас есть вопросы или комментарии о нашей Политике или наших практиках в области конфиденциальности, пожалуйста, свяжитесь с нами по адресу:

Databag, Inc.
123 Main Street
San Francisco, CA 94101
support@databag.com

© 2022 Databag, Inc. Все права защищены.

Завершение текста.

Этот документ содержит правила использования (Условия обслуживания) и политику конфиденциальности для услуги Databag, Inc. Условия обслуживания определяют правила, которыми должны руководствоваться пользователи при использовании сервиса Databag, Inc. Политика конфиденциальности устанавливает порядок сбора, использования и раскрытия информации о пользователях.
`
}
